package com.xjrsoft.common.model.generator;

import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 表单配置
 * @Author: tzx
 * @Date: 2022/5/11 15:43
 */
@Data
public class FormConfig {
    /**
     * 所有组件配置
     */
    private List<ComponentConfig> list;

    /**
     * 表单属性配置
     */
    private FormAttrConfig config;

    /**
     * 隐藏组件
     */
    private List<Map<String, Object>> hiddenComponent;
}
