package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 课表时段
 */
@Data
@Component
@ConfigurationProperties("timetable")
public class TimetableConfig {

    /**
     * 夏季开始时间
     */
    private String summerStart;
    /**
     * 夏季结束时间
     */
    private String summerEnd;
    /**
     * 冬季开始时间
     */
    private String winterStart;
    /**
     * 冬季结束时间
     */
    private String winterEnd;
}
