package com.xjrsoft.module.activity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 活动登记表
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class AddActivityEnrollDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 活动(activity_info)
    */
    @ApiModelProperty("活动(activity_info)")
    private Long activityInfoId;
    /**
    * 参与人(xjr_user)
    */
    @ApiModelProperty("参与人")
    private List<AddActivityEnrollRangeDto> enrollRangeList;

}
