package com.xjrsoft.module.activity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 活动登记表表单出参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ActivityEnrollVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 活动(activity_info)
    */
    @ApiModelProperty("活动(activity_info)")
    private Long activityInfoId;
    /**
    * 参与人(xjr_user)
    */
    @ApiModelProperty("参与人(xjr_user)")
    private Date userId;
    /**
    * 状态(0:待确认 1:未参与 2:已参与)
    */
    @ApiModelProperty("状态(0:待确认 1:未参与 2:已参与)")
    private Integer STATUS;



}
