package com.xjrsoft.module.app.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2023/7/26 9:04
 */
@Data
public class AppFuncDesignPageVo {

    private Long id;

    @ApiModelProperty("app菜单id")
    private Long appMenuId;

    @ApiModelProperty("功能模块所选id")
    private Long funcModule;

    @ApiModelProperty("功能描述")
    private String funcDescribe;

    @ApiModelProperty("功能名称")
    private String name;

    @ApiModelProperty("功能编码")
    private String code;

    @ApiModelProperty("代码模板id")
    private Long codeSchemaId;

    @ApiModelProperty("url 路径")
    private String url;

    @ApiModelProperty("页面类型:0 系统表单 1 自定义表单")
    private Integer formType;

    @ApiModelProperty("页面配置json")
    private String jsonContent;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("app菜单备注")
    private String menuRemark;


    @ApiModelProperty("排序")
    private Integer sortCode;

    @ApiModelProperty("状态")
    private Integer enabledMark;


}
