package com.xjrsoft.module.app.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author: tzx
 * @Date: 2023/8/16 9:17
 */
@Data
public class AppMenuPageVo {

    private Long id;

    @ApiModelProperty("菜单名称")
    private String name;

    @ApiModelProperty("菜单编码")
    private String code;

    @ApiModelProperty("菜单图标")
    private String icon;

    @ApiModelProperty("菜单类别")
    private Long categoryId;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("url 路径")
    private String url;

    @ApiModelProperty("排序")
    private Integer sortCode;

}
