package com.xjrsoft.module.assessment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 考核模板题目
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AddAssessmentQuestionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 题目题干
    */
    @ApiModelProperty("题目题干")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 题目类型
    */
    @ApiModelProperty("题目类型")
    private String type;
    /**
    * 是否必填(1:是 0:否)
    */
    @ApiModelProperty("是否必填(1:是 0:否)")
    private Short required;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

    @ApiModelProperty("小题")
    private List<AddAssessmentQuestionDto> children;

    @ApiModelProperty("assessmentQuestionOptions子表")
    private List<AddAssessmentQuestionOptionsDto> options;

}
