package com.xjrsoft.module.assessment.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 考核模板表单出参
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AssessmentTemplateVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;


    /**
    * assessmentQuestion
    */
    @ApiModelProperty("assessmentQuestion子表")
    private List<AssessmentQuestionVo> children;

}
