package com.xjrsoft.module.asset.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 资产管理分页查询入参
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfAssetManageConditionalSearchQueryDto {
    /**
     * 资产类型
     */
    @ApiModelProperty("资产类型")
    private String assetType;
    /**
     * 资产类别
     */
    @ApiModelProperty("资产类别")
    private String assetCategory;
    /**
     * 资产种类
     */
    @ApiModelProperty("资产种类")
    private String assetSpecies;
    /**
     * 名称
     */
    @ApiModelProperty("名称")
    private String name;
    /**
     * 所属部门[xjr_department]
     */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptId;
    /**
     * 使用人id[xjr_user]
     */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userId;
}
