package com.xjrsoft.module.attendance.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 考勤消息设置
* @Author dzx
* @Date: 2024-05-21
* @Version 1.0
*/
@Data
public class AddAttendanceMessageSetDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 人员类别(1:教职工 2:学生)
    */
    @ApiModelProperty("人员类别(1:教职工 2:学生)")
    private Integer roleType;
    /**
    * 消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)
    */
    @ApiModelProperty("消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)")
    private Integer messageCategory;
    /**
    * 时间段(1:上午 2:下午 3:晚上 4:返校)
    */
    @ApiModelProperty("时间段(1:上午 2:下午 3:晚上 4:返校)")
    private String timePeriod;
    /**
    * 指定人员
    */
    @ApiModelProperty("指定人员")
    private String userRelation;

    /**
    * attendanceMessageUserRelation
    */
    @ApiModelProperty("attendanceMessageUserRelation子表")
    private List<AddAttendanceMessageUserRelationDto> attendanceMessageUserRelationList;
}
