package com.xjrsoft.module.attendance.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class StudentAttendanceRecordClassPageDto extends PageInput {

    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime startTime;
    /**
     * 记录开始时间
     */
    @ApiModelProperty("记录结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDateTime endTime;
    /**
     * 班级id(class)
     */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
     * 时段（1：上午，2：下午，3：晚上）
     */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
}
