package com.xjrsoft.module.attendance.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherDetailsDto extends PageInput {

    @ApiModelProperty("时间段（1：上午 2：下午）")
    private Integer timePeriod;

    @ApiModelProperty("查询时间")
    private String date;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("证件号码")
    private String credentialNumber;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("考勤方式")
    private String attendanceMode;

    @ApiModelProperty("车牌号")
    private String carNumber;
}
