package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 考勤消息设置分页列表出参
* @Author dzx
* @Date: 2024-05-21
* @Version 1.0
*/
@Data
public class AttendanceMessageSetPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 人员类别(1:教职工 2:学生)
    */
    @ApiModelProperty("人员类别(1:教职工 2:学生)")
    private Integer roleType;
    /**
    * 消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)
    */
    @ApiModelProperty("消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)")
    private Integer messageCategory;
    /**
    * 时间段(1:上午 2:下午 3:晚上 4:返校)
    */
    @ApiModelProperty("时间段(1:上午 2:下午 3:晚上 4:返校)")
    private String timePeriod;
    /**
    * 指定人员
    */
    @ApiModelProperty("指定人员")
    private String userRelation;

}
