package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;



/**
* @title: 新生分班任务班级配置
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class AddBandingTaskClassDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 专业方向id
    */
    @ApiModelProperty("专业方向id")
    private Long majorSetId;
    /**
    * 班级人数
    */
    @ApiModelProperty("班级人数")
    private Integer number;
    /**
    * 班主任id
    */
    @ApiModelProperty("班主任id")
    private Long teacherId;
    /**
    * 教室id
    */
    @ApiModelProperty("教室id")
    private Long classroomId;
    /**
    * 是否订单班(0:否 1:是)
    */
    @ApiModelProperty("是否订单班(0:否 1:是)")
    private Long isOrderClass;
    /**
    * 身高
    */
    @ApiModelProperty("身高")
    private BigDecimal height;
    /**
    * 体重
    */
    @ApiModelProperty("分数")
    private BigDecimal score;

    @ApiModelProperty("分班任务id")
    private Long bandingTaskId;

    @ApiModelProperty("班级类型")
    private String classType;

}
