package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 新生分班任务规则
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class AddBandingTaskRuleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 新生分班规则(banding_rule)
    */
    @ApiModelProperty("新生分班规则(banding_rule)")
    private List<Long> bandingRuleIds;
    /**
    * 分班任务(banding_task)
    */
    @ApiModelProperty("分班任务(banding_task)")
    private Long bandingTaskId;

}
