package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 新生分班任务分页查询入参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BandingTaskMajorConditionListDto {

    @ApiModelProperty("任务id")
    private Long bandingTaskId;

    @ApiModelProperty("专业id")
    private List<Long> majorIds;

    @ApiModelProperty("专业方向名称")
    private String majorSetName;

}
