package com.xjrsoft.module.banding.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 分班后的学生导出
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskClassExcelVo {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学号")
    @ApiModelProperty("学号")
    private String credentialNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生姓名")
    @ApiModelProperty("学生姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("性别")
    @ApiModelProperty("性别")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业学校")
    @ApiModelProperty("毕业学校")
    private String graduateSchool;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("毕业班级")
    @ApiModelProperty("毕业班级")
    private String graduateClass;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("第一志愿")
    @ApiModelProperty("第一志愿")
    private String firstAmbition;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("第二志愿")
    @ApiModelProperty("第二志愿")
    private String secondAmbition;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主人名称")
    @ApiModelProperty("班主人名称")
    private String teacherName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("住宿类型")
    @ApiModelProperty("住宿类型")
    private String stduyStatusCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班级名称")
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("身高")
    @ApiModelProperty("身高")
    private BigDecimal height;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("体重")
    @ApiModelProperty("体重")
    private BigDecimal weight;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("分数")
    @ApiModelProperty("分数")
    private BigDecimal score;

}
