package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 新生分班任务规则表单出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskRuleVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 新生分班规则(banding_rule)
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 分班任务(banding_task)
    */
    @ApiModelProperty("规则code")
    private String code;

    @ApiModelProperty("选择方式(radtio:单选, multi:多选)")
    private String chooseType;

    @ApiModelProperty("是否被选上(1:是 0:否)")
    private Integer isSelected;

    private Long bandingTaskRuleId;



}
