package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author dzx
 * @date 2024年4月28日
 */
@Data
public class AddBaseClassPageDto implements Serializable {


    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班级代码")
    private String code;

    @ApiModelProperty("所属年级(base_grade)")
    private Long gradeId;

    @ApiModelProperty("招生类型(xjr_dictionary_item[enroll_type])")
    private String enrollType;

    @ApiModelProperty("组织机构(xjr_department)")
    private Long orgId;

    @ApiModelProperty("是否订单班")
    private Integer isOrderClass;

    @ApiModelProperty("固定教室(base_classroom)")
    private Long classroomId;

    @ApiModelProperty("班主任(xjr_user)")
    private Long teacherId;

    @ApiModelProperty("在读状态(1: 在读 2: 毕业)")
    private Integer isGraduate;

    @ApiModelProperty("班级类型(xjr_dictionary_item[class_type])")
    private String classType;

    @ApiModelProperty("专业方向id(base_major_set)")
    private Long majorSetId;
}
