package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;


/**
* @title: 白名单管理
* @Author brealinxx
* @Date: 2024-06-24
* @Version 1.0
*/
@Data
public class SetWhitelistEndTimeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private List<Long> ids;

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("临时使用结束时间")
    private LocalDate endTime;

}
