package com.xjrsoft.module.base.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.attendance.dto.AttendanceStatisticDto;
import com.xjrsoft.module.attendance.vo.ClassStatisticsVo;
import com.xjrsoft.module.base.dto.BaseClassPageDto;
import com.xjrsoft.module.base.entity.BaseClass;
import com.xjrsoft.module.base.vo.BaseClassPageVo;
import com.xjrsoft.module.base.vo.StudentClassVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 班级表 Mapper 接口
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Mapper
public interface BaseClassMapper extends MPJBaseMapper<BaseClass> {

    Page<BaseClassPageVo> getPage(Page<BaseClassPageVo> page, BaseClassPageDto dto);

    List<StudentClassVo> getStudentClass();


    Page<ClassStatisticsVo> getAttendanceClass(Page<ClassStatisticsVo> page, AttendanceStatisticDto dto);
}
