package com.xjrsoft.module.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级动态表表单出参
* @Author dzx
* @Date: 2024-09-04
* @Version 1.0
*/
@Data
public class BaseClassDynamicsVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 标题
    */
    @ApiModelProperty("标题")
    private String title;
    /**
    * 发送范围(学生、家长)
    */
    @ApiModelProperty("发送范围(学生、家长)")
    private String roleType;
    /**
    * 内容
    */
    @ApiModelProperty("内容")
    private String content;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private Long folderId;

    @ApiModelProperty("发布时间")
    private Date createDate;

    @ApiModelProperty("发布人")
    private String createUserName;

    @ApiModelProperty("发布人")
    private String fileUrl;

}
