package com.xjrsoft.module.courseTable.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 第二课堂参与范围
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class AddSecondCourseEnrollRangeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 第二课堂id
    */
    @ApiModelProperty("第二课堂id")
    private Long secondCourseId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;

}
