package com.xjrsoft.module.courseTable.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalTime;
import java.util.Date;



/**
* @title: 第二课堂开课时间
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class AddSecondCourseTimeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 第二课堂id
    */
    @ApiModelProperty("第二课堂id")
    private Long secondCourseId;
    /**
    * 上课日期
    */
    @ApiModelProperty("上课日期")
    private String classTime;
    /**
    * 时段（1=上午 2=下午 3=晚上）
    */
    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private LocalTime startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private LocalTime endTime;

}
