package com.xjrsoft.module.courseTable.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
* @title: 第二课堂分页列表出参
* @Author dzx
* @Date: 2024-07-29
* @Version 1.0
*/
@Data
public class ClassTimePageVo {

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private Integer timePeriod;

    @ApiModelProperty("节次")
    private Integer number;

    @ApiModelProperty("全称")
    private String fullName;

    @ApiModelProperty("简称")
    private String shortName;

    @ApiModelProperty("夏天开始时间")
    private String summerStartTime;

    @ApiModelProperty("夏天结束时间")
    private String summerEndTime;

    @ApiModelProperty("冬天开始时间")
    private String winterStartTime;

    @ApiModelProperty("冬天结束时间")
    private String winterEndTime;

    @ApiModelProperty("备注")
    private String remark;

}
