package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据看板-个人考勤统计出参
* @Author dzx
* @Date: 2024年9月2日
* @Version 1.0
*/
@Data
public class AttendanceStatisticsVo {


    @ApiModelProperty("总请假天数")
    private Double leaveDays;

    @ApiModelProperty("吃到次数")
    private Integer lateCount;

    @ApiModelProperty("总课时")
    private Integer courseCount;

    @ApiModelProperty("调课次数")
    private Integer adjustCount;

    @ApiModelProperty("顶课次数")
    private Integer exchangeCount;
}
