package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 数据看板-流程统计出参
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class ProcessStatisticsVo {

    /**
    * 发起流程总数
    */
    @ApiModelProperty("发起流程总数")
    private Long allCount;
    /**
    * 完成总数
    */
    @ApiModelProperty("完成总数")
    private Long completeCount;
    /**
    * 未完成总数
    */
    @ApiModelProperty("未完成总数")
    private Long uncompleteCount;

}
