package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 数据看板-维修申报统计出参
* @Author dzx
* @Date: 2024年9月2日
* @Version 1.0
*/
@Data
public class RepairStatisticsVo {


    @ApiModelProperty("报修次数")
    private Integer allCount;

    @ApiModelProperty("已维修次数")
    private Integer completeCount;

    @ApiModelProperty("待维修次数")
    private Integer uncompleteCount;

    @ApiModelProperty("人为毁坏次数")
    private Integer personCount;

    @ApiModelProperty("赔偿总金额")
    private Double totalAmount;
}
