package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 物品申购数据
* @Author dzx
* @Date: 2024年8月2日
* @Version 1.0
*/
@Data
public class SubscriptionStatisticsDetailVo {


    @ApiModelProperty("总金额")
    private Double totalAmount;

    @ApiModelProperty("申购类型次数对比数据")
    private List<ItemCountVo> categoryCountList;

    @ApiModelProperty("申购类型金额对比数据")
    private List<ItemDoubleVo> categoryAmountList;

    @ApiModelProperty("申购次数")
    private Integer allCount;

    @ApiModelProperty("通过次数")
    private Integer adoptCount;

    @ApiModelProperty("待审次数")
    private Integer pendingCount;

    @ApiModelProperty("部门申购统计数据")
    private List<ItemCountAmountVo> deptList;

}
