package com.xjrsoft.module.dataexpert.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.dataexpert.dto.DataExpertSourceFieldListDto;
import com.xjrsoft.module.dataexpert.entity.DataExpertSource;
import com.xjrsoft.module.dataexpert.vo.DataExpertSourceFieldVo;

import java.util.List;

/**
* @title: 数据导出-数据源设置
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/

public interface IDataExpertSourceService extends MPJBaseService<DataExpertSource> {
    /**
    * 新增
    *
    * @param dataExpertSource
    * @return
    */
    Boolean add(DataExpertSource dataExpertSource);

    /**
    * 更新
    *
    * @param dataExpertSource
    * @return
    */
    Boolean update(DataExpertSource dataExpertSource);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    List<DataExpertSourceFieldVo> getFieldList(DataExpertSourceFieldListDto dto);
}
