package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 被评价对象
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class AddEvaluateObjectDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 被评价对象类别（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评价对象类别（teacher：老师，class：班级，student：学生）")
    private String objectType;

    /**
     * 被评价对象类别（teacher：老师，class：班级，student：学生）
     */
    @ApiModelProperty("被评价对象id")
    private String objectId;

    /**
     * 被评价对象类别（teacher：老师，class：班级，student：学生）
     */
    @ApiModelProperty("年级id")
    private String gradeId;

    /**
     * 被评价对象类别（teacher：老师，class：班级，student：学生）
     */
    @ApiModelProperty("被评价对象名称")
    private String objectName;

    @ApiModelProperty("参评人信息")
    private List<AddEvaluateExecuterDto> executerList;

}
