package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价结果分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ResultViewingPageDto extends PageInput {
    /**
     * 评价管理主键编号
     */
    @ApiModelProperty(value = "评价管理主键编号",required = true)
    private Long evaluateManageId;
    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    private Long baseGradeId;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
     * 教师id
     */
    @ApiModelProperty("教师id")
    private Long teacherId;
    /**
     * name
     */
    @ApiModelProperty("姓名")
    private String name;
}
