package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 评价管理分页列表出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateManagePageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 学期名称
    */
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 发布部门
    */
    @ApiModelProperty("发布部门")
    private String orgName;
    /**
     * 评价类型-中文
     */
    @ApiModelProperty("评价类型-中文")
    private String evaluateType;
    /**
    * 评价类型-中文
    */
    @ApiModelProperty("评价类型-中文")
    private String evaluateTypeCn;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;

    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 状态（1：进行中，0，暂停）
    */
    @ApiModelProperty("状态（1：进行中，0，暂停）")
    private Integer status;

}
