package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 被评价对象表单出参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateObjectListVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private String gradeId;
    /**
     * 年级名称
     */
    @ApiModelProperty("年级名称")
    private String gradeName;

    /**
    * 被评价对象id
    */
    @ApiModelProperty("被评价对象id")
    private String objectId;

    /**
     * 被评价对象名称
     */
    @ApiModelProperty("被评价对象名称")
    private String objectName;

    /**
    * 参与评价的人数
    */
    @ApiModelProperty("参与评价的人数")
    private Integer executerCount;


    @ApiModelProperty("参与评价的人")
    private List<EvaluateExecuterVo> executerList;

    /**
     * 被评价对象id
     */
    @ApiModelProperty("班级id")
    private String classId;
}
