package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 参评人提交记录表分页列表出参
* @Author szs
* @Date: 2024-02-02
* @Version 1.0
*/
@Data
public class EvaluateSubmitRecordPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;
    /**
    * 参评人编号
    */
    @ApiModelProperty("参评人编号")
    private Long evaluateExecuterId;
    /**
    * 提交时间
    */
    @ApiModelProperty("提交时间")
    private Date createDate;
    /**
    * 被评对象（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评对象（teacher：老师，class：班级，student：学生）")
    private String evaluatedObject;
    /**
    * 被评对象编号
    */
    @ApiModelProperty("被评对象编号")
    private Long evaluatedObjectId;

}
