package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 评价模版表单出参
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/
@Data
public class EvaluateTemplateVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 模板名称
    */
    @ApiModelProperty("模板名称")
    private String name;
    /**
    * 评价类型(xjr_dictionary_item[evaluate_type])
    */
    @ApiModelProperty("评价类型(xjr_dictionary_item[evaluate_type])")
    private String evaluateType;
    /**
    * 评价总分
    */
    @ApiModelProperty("评价总分")
    private Double total;
    /**
    * 使用部门ids
    */
    @ApiModelProperty("使用部门ids")
    private String deptIds;
    /**
     * 使用部门ids
     */
    @ApiModelProperty("使用部门ids")
    private String deptNames;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（0:禁用 1:启用）
    */
    @ApiModelProperty("状态（0:禁用 1:启用）")
    private Integer status;



}
