package com.xjrsoft.module.ledger.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 物品申购表单出参
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
public class WorkflowRecordVo {

    /**
    * 申请部门
    */
    @ApiModelProperty("节点名称")
    private String nodeName;
    /**
    * 申请日期
    */
    @ApiModelProperty("操作信息")
    private String message;
    /**
    * 申请人
    */
    @ApiModelProperty("操作时间")
    private Date recordTime;

    @ApiModelProperty("流程id")
    private String processId;
}
