package com.xjrsoft.module.liteflow.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
* @title: 规则表
* @Author fanxp
* @Date: 2023-11-02
* @Version 1.0
*/
@Data
@TableName("xjr_liteflow_chain")
@ApiModel(value = "规则表对象", description = "规则表")
public class XjrLiteflowChain implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 应用名
    */
    @ApiModelProperty("应用名")
    private String applicationName;
    /**
    * 规则名
    */
    @ApiModelProperty("规则名")
    private String chainName;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String chainDesc;
    /**
    * 规则文件
    */
    @ApiModelProperty("规则文件")
    private String elData;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;


}