package com.xjrsoft.module.material.vo;

import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class MaterialTaskAssignListVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 材料提交任务(material_task)
     */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;

    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;

    /**
     * 用户(xjr_user)
     */
    @ApiModelProperty("用户(xjr_user)")
    private Long userId;
    /**
     * 用户类型 1=孝职工 2=学生
     */
    @ApiModelProperty("用户类型 1=孝职工 2=学生")
    private Integer userType;
    /**
     * 学号/工号
     */
    @ApiModelProperty("学号/工号")
    private String userNumber;
    /**
     * 状态 1=未提交 2=待审核 3=通过 4=重做
     */
    @ApiModelProperty("状态 1=未提交 2=待审核 3=通过 4=重做")
    private Integer status;
    /**
     * oa
     */
    private String userName;
    /**
     * 部门
     */
    private String deptName;

    /**
     * 文件模板
     */
    @ApiModelProperty("文件夹id")
    private Long folderId;

    @ApiModelProperty("文件id")
    private Long fileId;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private String folderIdCn;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private List<File> files;
    /**
     * 表单数据id
     */
    @ApiModelProperty("表单数据id")
    private Long formDataId;
    /**
     * 用户名字
     */
    private String name;
}
