package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
* @title: 材料提交任务分页列表出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTaskExcelVo {


    @ExcelProperty("序号")
    private Integer sortCode;

    @ExcelProperty("延迟提交")
    private String name;

    @ExcelProperty("学号/工号")
    @ApiModelProperty("学号/工号")
    private String userNumber;

    @ExcelProperty("身份")
    @ApiModelProperty("用户类型 1=孝职工 2=学生")
    private String userType;

    @ExcelProperty("部门")
    private String deptName;

    @ExcelProperty("状态")
    @ApiModelProperty("状态 1=未提交 2=待审核 3=通过 4=重做")
    private String status;

}
