package com.xjrsoft.module.oa.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@TableName("xjr_oa_news_relation_config")
@ApiModel(value = "NewsRelation对象", description = "新闻中心用户关系表")
@Data
@EqualsAndHashCode(callSuper = false)
public class NewsRelationConfig {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("关系类型 1=部门 2=人员")
    private Integer relationType;

    @ApiModelProperty("关系ID")
    private Long relationId;

    @ApiModelProperty("关系名称")
    private String relationName;
}
