package com.xjrsoft.module.oa.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.oa.entity.OfficialDocumentPost;
import com.xjrsoft.module.oa.mapper.OfficialDocumentPostMapper;
import com.xjrsoft.module.oa.service.IOfficialDocumentPostService;
import com.xjrsoft.module.oa.utils.PostNumberUtil;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 公文发文
* @Author dzx
* @Date: 2023-12-07
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class OfficialDocumentPostServiceImpl extends MPJBaseServiceImpl<OfficialDocumentPostMapper, OfficialDocumentPost> implements IOfficialDocumentPostService {
    private final OfficialDocumentPostMapper officialDocumentPostMapper;
    @Override
    public String getMaxPostNumber() {
        Integer maxPostNumber = officialDocumentPostMapper.getMaxPostNumber();
        return PostNumberUtil.initMaxPostNumber(maxPostNumber, 3);
    }


}
