package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 公文发文分页列表出参
* @Author dzx
* @Date: 2023-12-07
* @Version 1.0
*/
@Data
public class OfficialDocumentPostPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 发文标题
    */
    @ApiModelProperty("发文标题")
    private String postTitle;
    /**
    * 发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成）
    */
    @ApiModelProperty("发文文号（发文文号自动生成，年+三位数字（三位数字从001开始）如2023001、2023002，依次生成）")
    private String postNumber;
    /**
    * 发文时间
    */
    @ApiModelProperty("发文时间")
    private Date postDate;
    /**
    * 发文所属机构(xjr_department)
    */
    @ApiModelProperty("发文所属机构(xjr_department)")
    private Long postDepartmentId;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

}
