package com.xjrsoft.module.organization.vo;

import com.xjrsoft.module.organization.dto.UserStudentUpdateDto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class UserStudentVo extends UserStudentUpdateDto {
    private String studentName;
    private String className;
    private String avatar;
    private Long classId;
    @ApiModelProperty("流程状态（0:审核中,1:通过,2:拒绝）")
    private Integer status;

    @ApiModelProperty("班主任id")
    private Long teacherId;

    @ApiModelProperty("班主任姓名")
    private String teacherName;

    @ApiModelProperty("班主任电话")
    private String teacherMobile;
}
