package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 人员健康信息表分页查询入参
* @Author dzx
* @Date: 2024-07-23
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class PersonnelHealthyPageDto extends PageInput {

    @ApiModelProperty("疾病类别(xjr_dictionary_item[healthy_type])")
    private String type;

    @ApiModelProperty("用户id(xjr_user)")
    private Long userId;

}
