package com.xjrsoft.module.personnel.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.personnel.dto.AddFaceManagementDto;
import com.xjrsoft.module.personnel.entity.StundentFaceProcess;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
* @title: 学生人脸信息审核
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/

public interface IStundentFaceProcessService extends MPJBaseService<StundentFaceProcess> {

    Boolean removeByIds(List<Long> ids);

    Boolean nsUploadFace(AddFaceManagementDto dto, MultipartFile file);

    Boolean clearHistory(StundentFaceProcess process);
}
