package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class DistributeRoomBedPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;

    /**
     * 楼栋名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼栋")
    @ApiModelProperty("楼栋")
    private String buildName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("楼层")
    @ApiModelProperty("楼层")
    private Integer floorNumber;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室号")
    @ApiModelProperty("寝室号")
    private String roomName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住性别")
    @ApiModelProperty("入住性别")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住身份")
    @ApiModelProperty("入住身份")
    private String checkInStatusCn;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住班级")
    @ApiModelProperty("入住班级")
    private String intoClass;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("床位数")
    @ApiModelProperty("床位数")
    private Integer bedCount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("已入住人数")
    @ApiModelProperty("已入住人数")
    private Integer intoCount;

}
