package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 查寝记录表单回显寝室出参
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class RoomEchoVo {

    /**
     * 寝室名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室id")
    @ApiModelProperty("寝室id")
    private Long roomId;

    /**
     * 寝室名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室名")
    @ApiModelProperty("寝室名")
    private String roomName;
}
