package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 寝室情况汇报分页列表出参
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class WfRoomReportPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private String applicantUserIdCN;
    /**
    * 班主任用户编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
     * 班主任用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private String headTeacherIdCN;
    /**
    * 寝室+床位名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室+床位名称")
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 备注
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("备注")
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("附件文件id")
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:结束 0:未结束）")
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
