package com.xjrsoft.module.schedule.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class CourseTableAdjustDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("教师id")
    private Long teacherId;
    @ApiModelProperty("调整日期")
    private String adjustDate;
    @ApiModelProperty("周几(后台自动计算)")
    private Integer week;

    @ApiModelProperty("班级id")
    private String classId;

    @ApiModelProperty("调课类型")
    private String adjustType;

}
