package com.xjrsoft.module.schedule.vo;

import com.xjrsoft.module.courseTable.entity.ClassTime;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author dzx
 * @date 2024/1/29
 */
@Data
public class CourseTableVo {

    @ApiModelProperty("节次时间")
    private List<ClassTime> classTimeList;

    @ApiModelProperty("课程")
    private List<CourseDetailVo> courseList;

    @ApiModelProperty("总课时")
    private Integer classHour;

    @ApiModelProperty("学期名称")
    private String semesterName;

    @ApiModelProperty("教师名称（课表类型为teacher时使用）")
    private String teacherName;

    @ApiModelProperty("班级名称（课表类型为class时使用）")
    private String className;

    @ApiModelProperty("第几周")
    private String week;

    @ApiModelProperty("开始时间")
    private LocalDate startDate;

    @ApiModelProperty("结束时间")
    private LocalDate endDate;
}
