package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AddBaseStudentFamilyDto {
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 家庭邮编
     */
    @ApiModelProperty("家庭邮编")
    private String zipCode;
    /**
     * 家庭电话
     */
    @ApiModelProperty("家庭电话")
    private String telephone;
    /**
     * 联系人姓名
     */
    @ApiModelProperty("联系人姓名")
    private String contact;
    /**
     * 家庭人口
     */
    @ApiModelProperty("家庭人口")
    private Integer population;
    /**
     * 家庭住址
     */
    @ApiModelProperty("家庭住址")
    private String address;
    /**
     * 家庭主要收入来源
     */
    @ApiModelProperty("家庭主要收入来源")
    private String incomeSource;
    /**
     * 家庭月收入金额
     */
    @ApiModelProperty("家庭月收入金额")
    private Double incomeNumber;
    /**
     * 离家最近火车站
     */
    @ApiModelProperty("离家最近火车站")
    private String railwayStation;
}
