package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 奖学金级别
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class AddBaseStudentScholarshipLevelDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 奖学金类别ID(base_student_scholarship_category)
    */
    @ApiModelProperty("奖学金类别ID(base_student_scholarship_category)")
    private Long baseStudentScholarshipCategoryId;
    /**
    * 奖学金等级 0=无等级
    */
    @ApiModelProperty("奖学金等级 0=无等级")
    private Integer level;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private Double amount;

}
