package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生操行分考核项目分页查询入参
* @Author fanxp
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentBehaviorProjectPageDto extends PageInput {

    /**
     * 学生考核类别编号(base_student_behavior_category)
     */
    @ApiModelProperty("学生考核类别编号(base_student_behavior_category)")
    private String baseStudentBehaviorCategoryId;
}
