package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生职务设置分页查询入参
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentInfoDetailDto {

    @ApiModelProperty("学生userId")
    private Long id;

    @ApiModelProperty("最新一学期的编码")
    private String beltcode;

    @ApiModelProperty("学生身份证号")
    private String credentialNumber;
}
