package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生报到记录表分页查询入参
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentReportRecordPageDto extends PageInput {
    @ApiModelProperty("学期id")
    private Long baseSemesterId;

    @ApiModelProperty("教师id")
    private Long teacherId;


    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;
}
