package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;



/**
* @title: 专业方向招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class UpdateEnrollmentPlanMajorSetDto {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;

    /**
     * 专业方向计划招生人数
     */
    @ApiModelProperty("专业方向计划招生人数")
    private Integer baseMajorSetEnrollmentNum;
    /**
     * 专业方向最大计划招生人数
     */
    @ApiModelProperty("专业方向最大计划招生人数")
    private Integer baseMajorSetEnrollmentNumMax;
}
