package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.StudentReportRecordPageDto;
import com.xjrsoft.module.student.dto.StudentReportRecordStatisticsDto;
import com.xjrsoft.module.student.entity.StudentReportRecord;
import com.xjrsoft.module.student.vo.StudentReportRecordPageVo;
import com.xjrsoft.module.student.vo.StudentReportRecordStatisticsListVo;
import com.xjrsoft.module.student.vo.StudentReportRecordStatisticsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 学生报到记录表
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/

public interface IStudentReportRecordService extends MPJBaseService<StudentReportRecord> {

    StudentReportRecordStatisticsVo getClassStatistics(StudentReportRecordStatisticsDto dto);


    List<StudentReportRecordStatisticsListVo> getStatisticsDataList(StudentReportRecordStatisticsDto dto);


    Boolean removeByUserId(List<Long> ids);

    Page<StudentReportRecordPageVo> getMobilePage(Page<StudentReportRecordPageVo> page, StudentReportRecordPageDto dto);
}
