package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.dto.QuotaFormulaRuleAttributePageDto;
import com.xjrsoft.module.student.entity.QuotaFormulaRuleAttribute;
import com.xjrsoft.module.student.mapper.QuotaFormulaRuleAttributeMapper;
import com.xjrsoft.module.student.service.IQuotaFormulaRuleAttributeService;
import com.xjrsoft.module.student.vo.QuotaFormulaRuleAttributePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 考核表单属性
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class QuotaFormulaRuleAttributeServiceImpl extends MPJBaseServiceImpl<QuotaFormulaRuleAttributeMapper, QuotaFormulaRuleAttribute> implements IQuotaFormulaRuleAttributeService {
    private final QuotaFormulaRuleAttributeMapper quotaFormulaRuleAttributeMapper;
    @Override
    public Page<QuotaFormulaRuleAttributePageVo> getPage(Page<QuotaFormulaRuleAttributePageDto> page, QuotaFormulaRuleAttributePageDto dto) {
        return quotaFormulaRuleAttributeMapper.getPage(page,dto);
    }
}
