package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.dto.QuotaFormulaRuleConstantPageDto;
import com.xjrsoft.module.student.entity.QuotaFormulaRuleConstant;
import com.xjrsoft.module.student.mapper.QuotaFormulaRuleConstantMapper;
import com.xjrsoft.module.student.service.IQuotaFormulaRuleConstantService;
import com.xjrsoft.module.student.vo.QuotaFormulaRuleConstantPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 考核基数
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class QuotaFormulaRuleConstantServiceImpl extends MPJBaseServiceImpl<QuotaFormulaRuleConstantMapper, QuotaFormulaRuleConstant> implements IQuotaFormulaRuleConstantService {
    private final QuotaFormulaRuleConstantMapper quotaFormulaRuleConstantMapper;
    @Override
    public Page<QuotaFormulaRuleConstantPageVo> getPage(Page<QuotaFormulaRuleConstantPageDto> page, QuotaFormulaRuleConstantPageDto dto) {
        return quotaFormulaRuleConstantMapper.getPage(page,dto);
    }
}
