package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 班级专业方向表表单出参
* @Author wyf
* @Date: 2024-07-09
* @Version 1.0
*/
@Data
public class BaseClassMajorSetVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 班级(base_class_major_set)
    */
    @ApiModelProperty("班级(base_class_major_set)")
    private Long classId;
    /**
     * 班级(base_class_major_set)
     */
    @ApiModelProperty("班级(base_class_major_set)")
    private String className;
    /**
    * 专业方向(base_major_set)
    */
    @ApiModelProperty("专业方向(base_major_set)")
    private Long majorSetId;

    @ApiModelProperty("所属年级(base_grade)")
    private Long gradeId;
    /**
     * 专业(base_major)
     */
    @ApiModelProperty("专业(base_major)")
    private Long majorId;
    /**
    * 计划人数
    */
    @ApiModelProperty("计划人数")
    private Integer planTotalStudent;
    /**
    * 班级人数
    */
    @ApiModelProperty("班级人数")
    private Integer totalStudent;
    /**
    * 男生人数
    */
    @ApiModelProperty("男生人数")
    private Integer boyNum;
    /**
    * 女生人数
    */
    @ApiModelProperty("女生人数")
    private Integer girlNum;



}
