package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生班级巡查考核-关联班级列表列表入参
* @Author fanxp
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentClassListVo {
    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
     * 班级编号id
     */
    @ApiModelProperty("班级编号id")
    private String className;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 班主任姓名
    */
    @ApiModelProperty("班主任姓名")
    private String teacherName;
    /**
     * 班主任电话
     */
    @ApiModelProperty("班主任电话")
    private String mobile;
}
