package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生班级巡查考核表单出参
* @Author dzx
* @Date: 2023-11-16
* @Version 1.0
*/
@Data
public class BaseStudentAssessmentStudentRelationVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 序号
     */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 学号
     */
    @ApiModelProperty("学号")
    private String studentId;
    /**
     * 班级考核项目编号（base_student_assessment_project）
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;
    /**
     * 民族(xjr_dictionary_item[nation])
     */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
     * 所在班级
     */
    @ApiModelProperty("所在班级")
    private String className;
    /**
     * 所学专业
     */
    @ApiModelProperty("所学专业")
    private String majorName;
}
