package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生职务设置表单出参
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
public class BaseStudentPostVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 职务
    */
    @ApiModelProperty("职务")
    private String post;
    /**
    * 职务级别
    */
    @ApiModelProperty("职务级别")
    private String level;
    /**
    * 是否允许德育检查(1:是 0:否)
    */
    @ApiModelProperty("是否允许德育检查(1:是 0:否)")
    private Integer isAllowedCheck;
    /**
    * 职责描述
    */
    @ApiModelProperty("职责描述")
    private String explains;
    /**
    * 是否启用(1:是 0:否)
    */
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;



}
