package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 奖学金类别分页列表出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipApplicantCategoryPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 主键编号
     */
    @ApiModelProperty("奖金名称")
    private String name;
    /**
    * 上报金额
    */
    @ApiModelProperty("上报金额")
    private Double reportAmount;
    /**
    * 发放金额
    */
    @ApiModelProperty("发放金额")
    private Double grantAmount;
    /**
    * 申请人数
    */
    @ApiModelProperty("申请人数")
    private Integer applicantUserCount;

}
