package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
@Data
public class BaseStudentSubsidizeVo {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 是否低保
     */
    @ApiModelProperty("是否低保")
    private Integer isIndemnify;
    /**
     * 是否享受国家助学金
     */
    @ApiModelProperty("是否享受国家助学金")
    private Integer isStipend;
    /**
     * 助学金发放标准（元）
     */
    @ApiModelProperty("助学金发放标准（元）")
    private Double stipendStand;
    /**
     * 学生资助卡号
     */
    @ApiModelProperty("学生资助卡号")
    private String stipendNumber;
    /**
     * 是否免学费
     */
    @ApiModelProperty("是否免学费")
    private Integer isFree;
    /**
     * 是否建档立卡
     */
    @ApiModelProperty("是否建档立卡")
    private Integer isFilingCard;

}
