package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 招生计划维护表单出参
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class EnrollmentPlanVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 计划名称
    */
    @ApiModelProperty("计划名称")
    private String name;
    /**
    * 招生类型(xjr_dictionary_detail[enroll_type])
    */
    @ApiModelProperty("招生类型(xjr_dictionary_detail[enroll_type])")
    private String enrollType;
    /**
    * 招生年级（base_grade）
    */
    @ApiModelProperty("招生年级（base_grade）")
    private Long gradeId;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startDate;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endDate;
    /**
    * 状态（0：未发布 1：已发布 2：过期）
    */
    @ApiModelProperty("状态（0：未发布 1：已发布 2：过期）")
    private Integer status;



}
