package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生贫困类型统计
* @Author dzx
* @Date: 2024-04-03
* @Version 1.0
*/
@Data
public class PbStudentCategoryVo {


    @ApiModelProperty("普惠制学生数量")
    private Integer inclusiveCount;

    @ApiModelProperty("贫困学生数量")
    private Integer poorCount;

    @ApiModelProperty("其它贫困学生数量")
    private Integer otherPoorCount;

    @ApiModelProperty("普惠制学生占比")
    private Double inclusiveRatio;

}
