package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 指标公式规则管理表单出参
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Data
public class QuotaFormulaRuleVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则公式
    */
    @ApiModelProperty("规则公式")
    private String formula;
    /**
    * 指标
    */
    @ApiModelProperty("指标")
    private String bindQuota;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
