package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 奖学金申请表单出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class ScholarshipApplicantImportVo {

    @ExcelProperty("*学期")
    @ApiModelProperty("学期名称")
    private String semesterName;

    @ExcelProperty("*姓名")
    @ApiModelProperty("姓名")
    private String name;

    @ExcelProperty("*身份证号")
    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ExcelProperty("*奖学金名称")
    @ApiModelProperty("奖学金名称")
    private String scholarshipCategoryName;

    @ExcelProperty("*获奖等级")
    @ApiModelProperty("获奖等级")
    private Integer scholarshipLevel;

}
