package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生消费数据表单出参
* @Author dzx
* @Date: 2024-08-26
* @Version 1.0
*/
@Data
public class StudentConsumeDateVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long studentId;
    /**
    * 学生姓名
    */
    @ApiModelProperty("学生姓名")
    private String studentName;
    /**
    * 学生学号
    */
    @ApiModelProperty("学生学号")
    private String studentUserName;
    /**
    * 消费时间
    */
    @ApiModelProperty("消费时间")
    private Date consumeTime;
    /**
    * 消费金额
    */
    @ApiModelProperty("消费金额")
    private BigDecimal consumeMoney;
    /**
    * 消费类型
    */
    @ApiModelProperty("消费类型")
    private String consumeType;
    /**
    * 年级名称
    */
    @ApiModelProperty("年级名称")
    private String gradeName;
    /**
    * 年级id
    */
    @ApiModelProperty("年级id")
    private String gradeId;
    /**
    * 专业名称
    */
    @ApiModelProperty("专业名称")
    private String majorName;
    /**
    * 专业id
    */
    @ApiModelProperty("专业id")
    private String majorId;



}
