package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 功能分类设置分页列表出参
* @Author dzx
* @Date: 2024-08-09
* @Version 1.0
*/
@Data
public class XjrMenuGroupSetPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 功能分类名称
    */
    @ApiModelProperty("功能分类名称")
    private String name;
    /**
    * 分组代码(xjr_dictionary_item[xjr_menu_group])
    */
    @ApiModelProperty("分组代码(xjr_dictionary_item[xjr_menu_group])")
    private String code;
    /**
    * 使用范围(1:全部学生 2:白名单学生)
    */
    @ApiModelProperty("使用范围(1:全部学生 2:白名单学生)")
    private Integer useRange;

}
