package com.xjrsoft.module.teacher.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



/**
* @title: 教职工请假流程
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class AddWfTeacherleaveDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private String userId;
    /**
    * 是否中层
    */
    @ApiModelProperty("是否中层")
    private String middleLevelOrNot;
    /**
    * 所在部门
    */
    @ApiModelProperty("所在部门")
    private String department;
    /**
    * 是否班主任
    */
    @ApiModelProperty("是否班主任")
    private String isItAHomeroomTeacher;
    /**
    * 请假事由
    */
    @ApiModelProperty("请假事由")
    private String reasonForLeave;
    /**
    * 请假开始时间
    */
    @ApiModelProperty("请假开始时间")
    private Date leaveStartTime;
    /**
    * 请假天数
    */
    @ApiModelProperty("请假天数")
    private Double leaveDays;
    /**
    * 请假结束时间
    */
    @ApiModelProperty("请假结束时间")
    private Date leaveEndTime;
    /**
    * 请假类型
    */
    @ApiModelProperty("请假类型")
    private String leaveType;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private String annex;

}
