package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 分页列表出参
* @Author 管理员
* @Date: 2023-08-08
* @Version 1.0
*/
@Data
public class XjrUserPageVo {

    /**
     *
     */
    @ApiModelProperty("")
    private String id;

    /**
     * 工号
     */
    @ApiModelProperty("工号")
    private String userName;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    /**
     * 别名
     */
    @ApiModelProperty("别名")
    private String asName;

    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 性别
     */
    @ApiModelProperty("性别中文")
    private String genderCn;

    /**
     * 证件类型
     */
    @ApiModelProperty("证件类型")
    private String credentialType;
    /**
     * 证件号码
     */
    @ApiModelProperty("证件类型")
    private String credentialNumber;
    /**
     * 主组织机构
     */
    @ApiModelProperty("主组织机构")
    private String deptId;
    /**
     * 主组织机构
     */
    @ApiModelProperty("主组织机构")
    private String deptIdCn;
    /**
     * 内主岗位类别-岗位
     */
    @ApiModelProperty("内主岗位类别-岗位")
    private String jobCategory;
    /**
     * 在职状态
     */
    @ApiModelProperty("在职状态")
    private String jobState;
    /**
     * 聘用方式
     */
    @ApiModelProperty("聘用方式")
    private String employWay;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;

}
