package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 教材征订记录导出入参
* @Author szs
* @Date: 2024-02-19
* @Version 1.0
*/
@Data
public class TextbookClaimExportQueryDto {
    @ApiModelProperty("教材类型")
    public String textbookType;

    @ApiModelProperty("学期id")
    public Long baseSemesterId;

    @ApiModelProperty("学科id")
    public Long subjectGroupId;

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("教材id")
    public Long textbookId;

    @ApiModelProperty("课程id")
    public Long courseSubjectId;

    @ApiModelProperty("书名")
    public String bookName;

    @ApiModelProperty("规划教材")
    public String isTextbookPlan;

    @ApiModelProperty("书号")
    public String issn;
}
