package com.xjrsoft.module.textbook.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookIssueRecord;
import com.xjrsoft.module.textbook.vo.TextbookIssueRecordPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 教材出库记录
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Mapper
public interface TextbookIssueRecordMapper extends MPJBaseMapper<TextbookIssueRecord> {
    Page<TextbookIssueRecordPageVo> getPage(Page<TextbookIssueRecordPageDto> page, TextbookIssueRecordPageDto dto);

    List<TextbookIssueRecordPageVo> getList(@Param("dto") TextbookIssueRecordExportDto dto);
}

