package com.xjrsoft.module.textbook.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookWarehouseRecord;
import com.xjrsoft.module.textbook.mapper.TextbookWarehouseRecordMapper;
import com.xjrsoft.module.textbook.service.ITextbookWarehouseRecordService;
import com.xjrsoft.module.textbook.vo.TextbookWarehouseRecordPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 教材入库
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class TextbookWarehouseRecordServiceImpl extends MPJBaseServiceImpl<TextbookWarehouseRecordMapper, TextbookWarehouseRecord> implements ITextbookWarehouseRecordService {
    private final TextbookWarehouseRecordMapper textbookWarehouseRecordMapper;
    @Override
    public Page<TextbookWarehouseRecordPageVo> getPage(Page<TextbookWarehouseRecordPageDto> page, TextbookWarehouseRecordPageDto dto) {
        return textbookWarehouseRecordMapper.getPage(page, dto);
    }

    @Override
    public List<TextbookWarehouseRecordPageVo> getList(TextbookWarehouseRecordExportDto dto) {
        return textbookWarehouseRecordMapper.getList(dto);
    }

    @Override
    public List<TextbookWarehouseRecordPageVo> getList() {
        return getList(new TextbookWarehouseRecordExportDto());
    }
}
