package com.xjrsoft.module.textbook.vo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 教材管理表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookSubscriptionHistoryListVo {
    /**
     * 学生用书征订数量
     */
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;
    /**
     * 教师教材征订数量
     */
    @ApiModelProperty("教师教材征订数量")
    private Integer teacherSubscriptionNumber;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
}
