package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材申领项表单出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class WfTextbookClaimItemVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 教材管理编号
    */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
     * 教材管理编号
     */
    @ApiModelProperty("教材管理编号")
    private String textbookIdCN;
    /**
    * 申请数量
    */
    @ApiModelProperty("申请数量")
    private Integer applicantNumber;
    /**
    * 已发放数量
    */
    @ApiModelProperty("已发放数量")
    private Integer issueNumber;

}
