package com.xjrsoft.common.model.base;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 审计字段
 * @Author: tzx
 * @Date: 2022/5/9 14:35
 */
@Data
public class AuditEntity {

    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;

    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private Integer deleteMark;

    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
}
