package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties("xjrsoft.ratelimit")
public class RateLimitConfig {
    /**
     * 是否开启
     */
    private boolean enabled;
    /**
     * 限流时间(秒)
     */
    private int timeout;
}
