package com.xjrsoft.module.activity.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 活动信息分页查询入参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ActivityEnrollExportDto {

    @ApiModelProperty("活动id")
    private Long activityInfoId;

    @ApiModelProperty("状态(0:待确认 1:未参与 2:已参与)")
    private Integer status;

    @ApiModelProperty("登录人id")
    private Long loginUserId;

}
