package com.xjrsoft.module.activity.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 活动报名范围
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
@TableName("activity_enroll_range")
@ApiModel(value = "activity_enroll_range", description = "活动报名范围")
public class ActivityEnrollRange implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 所属班级id
    */
    @ApiModelProperty("所属班级id")
    private Long classId;
    /**
    * 所属部门id
    */
    @ApiModelProperty("所属部门id")
    private Long deptId;
    /**
    * 用id
    */
    @ApiModelProperty("用id")
    private Long userId;
    /**
    * 活动(activity)
    */
    @ApiModelProperty("活动(activity)")
    private Long activityInfoId;


}