package com.xjrsoft.module.activity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 活动信息分页列表出参
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ActivityEnrollExcelVo {

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户类型")
    @ApiModelProperty("用户类型")
    private String roleType;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("用户名")
    @ApiModelProperty("用户名")
    private String userName;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("手机号")
    @ApiModelProperty("手机号")
    private String mobile;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("报名时间")
    @ApiModelProperty("报名时间")
    private String createDate;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("参与状态")
    @ApiModelProperty("参与状态")
    private String status;

}
