package com.xjrsoft.module.assessment.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.assessment.entity.AssessmentPlanQuestion;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Update;

/**
* @title: 考核模板题目
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Mapper
public interface AssessmentPlanQuestionMapper extends MPJBaseMapper<AssessmentPlanQuestion> {
    @Update("update assessment_plan_question set delete_mark = 1,modify_date = now(),modify_user_id = #{loginId} WHERE assessment_template_plan_id = #{planId}")
    Boolean deleteByPlanId(Long planId, Long loginId);
}
