package com.xjrsoft.module.attendance.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生考勤记录表单出参
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
public class StudentAttendanceRecordVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 学生userId(xjr_user)
    */
    @ApiModelProperty("学生userId(xjr_user)")
    private Long userId;
    /**
    * 班主人id(xjr_user)
    */
    @ApiModelProperty("班主人id(xjr_user)")
    private Long teacherId;
    /**
    * 班级id(class)
    */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
    * 就读方式(xjr_dictionary_item[stduy_status])
    */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;



}
