package com.xjrsoft.module.banding.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 新生分班任务分页查询入参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BandingTaskClassStudentPageDto extends PageInput {

    @ApiModelProperty("分班任务(banding_task)")
    private Long bandingTaskId;

    @ApiModelProperty("学号")
    private String credentialNumber;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("毕业学校")
    private String graduateSchool;

    @ApiModelProperty("毕业班级")
    private String graduateClass;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("就读方式")
    private String stduyStatus;

    @ApiModelProperty("班级状态")
    private String status;

    @ApiModelProperty("招生类型")
    private String enrollType;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("第二志愿")
    private Long secondAmbition;

    @ApiModelProperty("第一志愿")
    private Long firstAmbition;
}
