package com.xjrsoft.module.banding.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 活动信息
* @Author dzx
* @Date: 2024-07-19
* @Version 1.0
*/
@Data
public class ChangeClassStatusDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 赛事名称
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 状态(0:未发布 1:报名中 2:报名结束 3:活动结束)
    */
    @ApiModelProperty("是否锁定(0:否 1:是)")
    private Integer status;
}
