package com.xjrsoft.module.banding.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.banding.entity.BandingTaskRule;

import java.util.List;

/**
* @title: 新生分班任务
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/

public interface IBandingTaskRuleService extends MPJBaseService<BandingTaskRule> {
    /**
    * 新增
    *
    * @param bandingTaskRule
    * @return
    */
    Boolean add(BandingTaskRule bandingTaskRule);

    /**
    * 更新
    *
    * @param bandingTaskRule
    * @return
    */
    Boolean update(BandingTaskRule bandingTaskRule);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);
}
