package com.xjrsoft.module.banding.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 新生分班任务分页列表出参
* @Author dzx
* @Date: 2024-07-01
* @Version 1.0
*/
@Data
public class BandingTaskMajorConditionListVo {

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("班级排序")
    private Integer sortCode;

    @ApiModelProperty("任务id")
    private Long bandingTaskId;

    @ApiModelProperty("专业方向id")
    private Long majorSetId;

    @ApiModelProperty("专业方向")
    private String majorSetName;

    @ApiModelProperty("身高")
    private BigDecimal height;

    @ApiModelProperty("成绩")
    private BigDecimal score;

}
