package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 班级动态表
* @Author dzx
* @Date: 2024-09-04
* @Version 1.0
*/
@Data
public class AddBaseClassDynamicsDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 标题
    */
    @ApiModelProperty("标题")
    private String title;
    /**
    * 发送范围(学生、家长)
    */
    @ApiModelProperty("发送范围(学生、家长)")
    private String roleType;
    /**
    * 内容
    */
    @ApiModelProperty("内容")
    private String content;
    /**
    * 附件
    */
    @ApiModelProperty("附件")
    private Long folderId;

}
