package com.xjrsoft.module.base.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;



/**
* @title: 白名单管理
* @Author brealinxx
* @Date: 2024-06-24
* @Version 1.0
*/
@Data
public class AddWhitelistManagementDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 身份证
    */
    @ApiModelProperty("身份证")
    private String credentialNumber;
    /**
    * 手机号
    */
    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("是否临时性的(1:是 0:否)")
    private Integer isTemporary;

    @ApiModelProperty("临时使用开始时间")
    private LocalDate startTime;

    @ApiModelProperty("临时使用结束时间")
    private LocalDate endTime;

}
