package com.xjrsoft.module.base.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author dzx
 * @date 2024年4月28日
 */
@Data
public class BaseClassPageDto extends PageInput {

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("年级id")
    private Long gradeId;

    @ApiModelProperty("班主任名字")
    private String teacherName;

    @ApiModelProperty("教室名字")
    private String classroomName;

    @ApiModelProperty("班级类型")
    private String classType;

    @ApiModelProperty("机构id")
    private Long orgId;

    @ApiModelProperty("班级代码")
    private String code;

    @ApiModelProperty("教室id")
    private Long classroomId;

    @ApiModelProperty("班主人名称")
    private Long teacherId;

    @ApiModelProperty("在读状态(1: 在读 2: 毕业)")
    private Integer isGraduate;

    @ApiModelProperty("是否订单班(1: 是 0: 否)")
    private Integer isOrderClass;

    @ApiModelProperty("招生类型(xjr_dictionary_item[enroll_type])")
    private String enrollType;

}
