package com.xjrsoft.module.base.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班级课程分页列表出参
* @Author brealinxx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class BaseClassCoursePageVo {

    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 班级id(base_class)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级id(base_class)")
    private Long classId;
    /**
    * 课程id(base_course_subject)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("课程id(base_course_subject)")
    private Long courseId;
    /**
    * 教材id(textbook)
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("教材id(textbook)")
    private Long textbookId;

    @ApiModelProperty("班级名称")
    @ExcelProperty("班级名称")
    private String className;

    @ApiModelProperty("教师名称")
    private String teacherName;

    @ApiModelProperty("专业方向")
    private String majorName;

    @ApiModelProperty("所属机构")
    private String deptName;

    @ApiModelProperty("教学课程")
    @ExcelProperty("教学课程")
    private String courseName;

    @ApiModelProperty("对应教材")
    @ExcelProperty("对应教材")
    private String textbookName;

    @ApiModelProperty("学期")
    @ExcelProperty("学期")
    private String semester;
}
