package com.xjrsoft.module.databoard.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 数据看板-差旅费报销申请统计出参
* @Author dzx
* @Date: 2024年9月2日
* @Version 1.0
*/
@Data
public class ReimbursementStatisticsVo {


    @ApiModelProperty("申请总次数")
    private Integer allCount;

    @ApiModelProperty("完成总数")
    private Integer completeCount;

    @ApiModelProperty("未完成总数")
    private Integer uncompleteCount;

    @ApiModelProperty("申请")
    private List<ItemCountAmountVo> amountList;

}
