package com.xjrsoft.module.dataexpert.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 数据导出-数据源设置分页列表出参
* @Author dzx
* @Date: 2024-04-19
* @Version 1.0
*/
@Data
public class DataExpertSourcePageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 数据源名称
    */
    @ApiModelProperty("数据源名称")
    private String name;
    /**
    * 数据源类型
    */
    @ApiModelProperty("数据源类型")
    private String sourceType;
    /**
    * magicapi地址
    */
    @ApiModelProperty("magicapi地址")
    private String apiUrl;

    @ApiModelProperty("字段配置")
    private String fieldJson;
}
