package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
* @title: 评价管理分页查询入参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateManagePageDto extends PageInput {

    @ApiModelProperty("学期id")
    private Long semesterId;

    @ApiModelProperty("部门id")
    private Long orgId;

    @ApiModelProperty("评价类型")
    private String evaluateType;

    @ApiModelProperty("管理名称")
    private String name;

    @ApiModelProperty("状态(-1:未发布,0:暂停,1:进行中,2:已结束)")
    private Integer status;

    @ApiModelProperty("开始时间")
    private LocalDateTime startTime;

    @ApiModelProperty("结束时间")
    private LocalDateTime endTime;
}
