package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 评价管理分页查询入参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateObjectListDto implements Serializable {

    @ApiModelProperty("评价管理id，添加时不用传")
    private Long evaluateManageId;

    @ApiModelProperty("参评的人数（all：全部, random15：随机15名），添加时传入使用")
    private String executerCount;

    @ApiModelProperty("年级id，添加时传入使用")
    private Long gradeId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("部门id")
    private Long deptId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("评价类型")
    private String evaluateType;
}
