package com.xjrsoft.module.evaluate.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 评价结果分页查询入参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class EvaluateResultIndexPageDto extends PageInput {
    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;

    /**
     * 发布部门id
     */
    @ApiModelProperty("发布部门id")
    private Long orgId;

    /**
     * 评价类型
     */
    @ApiModelProperty("评价类型")
    private String evaluateType;

    /**
     * 评价名称
     */
    @ApiModelProperty("评价名称")
    private String name;

    /**
     * 开始时间
     */
    @ApiModelProperty("开始时间")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty("结束时间")
    private String endTime;

}
