package com.xjrsoft.module.evaluate.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 评价对象根据年级分组的列表（已生成数据）删除入参
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class ObjectGradeDeleteDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 评价管理编号
    */
    @ApiModelProperty("评价管理编号")
    private String evaluateManageId;

    @ApiModelProperty("年级主键编号")
    private String gradeId;

}
