package com.xjrsoft.module.evaluate.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.evaluate.dto.AddEvaluateItemDto;
import com.xjrsoft.module.evaluate.dto.MakeEvaluateItemDto;
import com.xjrsoft.module.evaluate.entity.EvaluateItem;
import com.xjrsoft.module.evaluate.vo.MakeEvaluateItemVo;

import java.util.List;

/**
* @title: 评价项
* @Author szs
* @Date: 2024-01-15
* @Version 1.0
*/

public interface IEvaluateItemService extends MPJBaseService<EvaluateItem> {

    /**
     *
     * @param dto
     * @return
     */
    MakeEvaluateItemVo getMakeEvaluateItem(MakeEvaluateItemDto dto);

    /**
     * 新增评价项
     * @param dto
     * @return
     */
    Boolean addEvaluateItem(List<AddEvaluateItemDto> dto);


}
