package com.xjrsoft.module.hikvision.mapper;

import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.hikvision.entity.HikvisionData;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 寝室床位
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Mapper
public interface HikvisionDataMapper extends MPJBaseMapper<HikvisionData> {

    /**
     * 查询教师在海康中的id
     * @param sourceId
     * @return
     */
    String getTeacherHikvisionId(Long sourceId);


    /**
     * 查询学生在海康中的id
     * @param sourceId
     * @return
     */
    String getStudentHikvisionId(Long sourceId);

    /**
     * 查询学生在海康中的id
     * @param sourceId
     */
    String getHikvisionIdBySourceId(String sourceId);
}
