package com.xjrsoft.module.hikvision.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.hikvision.entity.HikvisionData;
import com.xjrsoft.module.hikvision.mapper.HikvisionDataMapper;
import com.xjrsoft.module.hikvision.service.IHikvisionDataService;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @title: 海康基础数据对照
 * @Author dzx
 * @Date: 2024年9月19日
 * @Version 1.0
 */

@Service
@AllArgsConstructor
public class HikvisionDataServiceImpl extends MPJBaseServiceImpl<HikvisionDataMapper, HikvisionData> implements IHikvisionDataService {

    @Override
    public String getHikvisionIdBySourceId(String sourceId) {
        return this.baseMapper.getHikvisionIdBySourceId(sourceId);
    }
}
