package com.xjrsoft.module.hikvision.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 查询海康门禁点事件返回结果对象
 * @Author: dzx
 * @Date: 2024年9月19日
 */
@Data
public class HikvisionOutinPageVo {


    @ApiModelProperty("事件ID")
    private String eventId;

    @ApiModelProperty("事件名称")
    private String eventName;

    @ApiModelProperty("事件产生时间")
    private String eventTime;

    @ApiModelProperty("卡号")
    private String cardNo;

    @ApiModelProperty("人员唯一编码")
    private String personId;

    @ApiModelProperty("人员名称")
    private String personName;

    @ApiModelProperty("人员所属组织编码")
    private String orgIndexCode;

    @ApiModelProperty("人员所属组织名称")
    private String orgName;

    @ApiModelProperty("门禁点编码")
    private String doorIndexCode;

    @ApiModelProperty("门禁点名称")
    private String doorName;

    @ApiModelProperty("门禁点所在区域编码")
    private String doorRegionIndexCode;

    @ApiModelProperty("抓拍图片地址")
    private String picUri;

    @ApiModelProperty("图片存储服务的唯一标识")
    private String svrIndexCode;

    @ApiModelProperty("事件类型")
    private String eventType;

    @ApiModelProperty("进出类型(1：进 0：出 1:未知)")
    private Integer inAndOutType;

    @ApiModelProperty("读卡器IndexCode")
    private String readerDevIndexCode;

    @ApiModelProperty("读卡器名称")
    private String readerDevName;

    @ApiModelProperty("控制器设备IndexCode")
    private String devIndexCode;

    @ApiModelProperty("控制器名称")
    private String devName;

    @ApiModelProperty("身份证图片uri")
    private String identityCardUri;

    @ApiModelProperty("证件号码")
    private String certNo;

    @ApiModelProperty("事件入库时间")
    private String receiveTime;

    @ApiModelProperty("工号")
    private String jobNo;

    @ApiModelProperty("学号")
    private String studentId;
}
