package com.xjrsoft.module.ledger.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 台账发布表
* @Author dzx
* @Date: 2024-03-07
* @Version 1.0
*/
@Data
@TableName("ledger_config_release")
@ApiModel(value = "ledger_config_release", description = "台账发布表")
public class LedgerConfigRelease implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 台账配置(ledger_config)
    */
    @ApiModelProperty("台账配置(ledger_config)")
    private Long ledgerConfigId;
    /**
    * 菜单信息
    */
    @ApiModelProperty("菜单信息")
    private Long menuId;
    /**
    * 台账配置信息
    */
    @ApiModelProperty("台账配置信息")
    private String configJson;
    /**
    * 备注信息
    */
    @ApiModelProperty("备注信息")
    private String remark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;


}