package com.xjrsoft.module.material.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 材料提交任务类型分配表单出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTypeAssignVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
    * 用户(xjr_user)
    */
    @ApiModelProperty("用户(xjr_user)")
    private Long userId;
    /**
    * 用户类型 1=孝职工 2=学生
    */
    @ApiModelProperty("用户类型 1=孝职工 2=学生")
    private Integer userType;
    /**
    * 学号/工号
    */
    @ApiModelProperty("学号/工号")
    private String userNumber;

    /**
     * 用户名称
     */
    @ApiModelProperty("用户名称")
    private String userName;

    /**
     * 部门
     */
    @ApiModelProperty("部门")
    private String deptName;

    /**
     * 类型名称
     */
    @ApiModelProperty("类型名称")
    private String materialTypeName;

}
