package com.xjrsoft.module.oa.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.ledger.dto.WfSubscriptionPageDto;
import com.xjrsoft.module.oa.entity.WfSubscription;
import com.xjrsoft.module.ledger.vo.WfSubscriptionListInfoVo;
import com.xjrsoft.module.ledger.vo.WfSubscriptionPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 物品申购
* @Author dzx
* @Date: 2024-02-19
* @Version 1.0
*/
@Mapper
public interface WfSubscriptionMapper extends MPJBaseMapper<WfSubscription> {

    /**
     * 列表查询
     * @param page
     * @param dto
     * @return
     */
    Page<WfSubscriptionPageVo> getPage(Page<WfSubscriptionPageVo> page, WfSubscriptionPageDto dto);

    /**
     * 根据id查询详情信息
     * @param id
     * @return
     */
    WfSubscriptionListInfoVo getInfoById(Long id);

    /**
     * 列表查询
     */
    List<WfSubscriptionPageVo> getList(@Param("dto") WfSubscriptionPageDto dto);
}
