package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class NewsRelationVo {
    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("新闻主键")
    private Long newsId;

    @ApiModelProperty("用户主键")
    private Long userId;

    @ApiModelProperty("用户名称")
    private String userName;

    @ApiModelProperty("阅读标记  0=未读 1=已读")
    private Integer readMark;

    @ApiModelProperty("阅读时间")
    private LocalDateTime readDate;

    @ApiModelProperty("回复内容")
    private String replyContent;
}
