package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Zexy
 */
@Data
public class ScheduleListVo {

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;

    /**
     * 日程标题
     */
    @ApiModelProperty("日程标题")
    private String title;

    /**
     * 日程结束时间
     */
    @ApiModelProperty("日程结束时间")
    private LocalDateTime end;

    /**
     * 开始时间
     */
    @ApiModelProperty("机构名称")
    private LocalDateTime start;

    /**
     * 是否全天
     */
    @ApiModelProperty("是否全天")
    private Boolean allDay;
}
