package com.xjrsoft.module.outint.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 车辆出入记录
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class AddCarOutInRecordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 车辆id(car_message_apply)，固定车辆使用
    */
    @ApiModelProperty("车辆id(car_message_apply)，固定车辆使用")
    private Long carMessageApplyId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;
    /**
    * 访客车辆(reservation_school_people),临时车辆使用
    */
    @ApiModelProperty("访客车辆(reservation_school_people),临时车辆使用")
    private Long reservationSchoolPeopleId;
    /**
    * 车辆分类(0:固定车辆 1:临时车辆)
    */
    @ApiModelProperty("车辆分类(0:固定车辆 1:临时车辆)")
    private Integer category;

}
