package com.xjrsoft.module.outint.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 访客出入记录分页列表出参
* @Author dzx
* @Date: 2024-05-14
* @Version 1.0
*/
@Data
public class VisitorOutInRecordPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 访客id(reservation_school_people)
    */
    @ApiModelProperty("访客id(reservation_school_people)")
    private Long reservationSchoolPeopleId;
    /**
    * 记录时间
    */
    @ApiModelProperty("记录时间")
    private String recordTime;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 进出状态(0:进 1:出)
    */
    @ApiModelProperty("进出状态(0:进 1:出)")
    private Integer status;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 手机号码
     */
    @ApiModelProperty("手机号码")
    private Long phone;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String plateNumber;

    /**
     * 车辆类型
     */
    @ApiModelProperty("车辆类型")
    private String vehicleType;

    /**
     * 人脸照片地址
     */
    @ApiModelProperty("人脸照片地址")
    private String facePhotoUrl;
    /**
     * 被访人用户
     */
    @ApiModelProperty("被访人用户")
    private String respondentUserCn;
    /**
     * 被访部门
     */
    @ApiModelProperty("被访部门")
    private String deptCn;

    /**
     * 进校事由
     */
    @ApiModelProperty("进校事由")
    private String reason;

}
