package com.xjrsoft.module.personnel.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 人员健康信息表
* @Author dzx
* @Date: 2024-07-23
* @Version 1.0
*/
@Data
public class AddPersonnelHealthyDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private Long userId;
    /**
    * 疾病名称
    */
    @ApiModelProperty("疾病名称")
    private String name;
    /**
    * 疾病类别(xjr_dictionary_item[healthy_type])
    */
    @ApiModelProperty("疾病类别(xjr_dictionary_item[healthy_type])")
    private String type;
    /**
    * 病史来源
    */
    @ApiModelProperty("病史来源")
    private String source;

}
