package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class FaceIdentifyRecordsPageDto  extends PageInput {
    /**
     * 比对开始时间 yyyy-MM- dd HH:mm:ss
     */
    @ApiModelProperty("比对开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startTime;
    /**
     * 比对结束时间 yyyy-MM- dd HH:mm:ss
     */
    @ApiModelProperty("比对结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String deviceName;
    /**
     * 安装位置
     */
    @ApiModelProperty("安装位置")
    private String location;
    /**
     * 出入方向 0出口 1入口
     */
    @ApiModelProperty("出入 0出口 1入口")
    private Integer inoutDirection;
    /**
     * 人脸编码
     */
    @ApiModelProperty("人脸编码")
    private String faceCode;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
}
