package com.xjrsoft.module.personnel.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @title: 年工资条分页列表出参
 * @Author brealinxx
 * @Date: 2024-01-25
 * @Version 1.0
 */
@Data
public class BasePersonnelLabourCapitalYearPageVo {
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键")
    @ApiModelProperty("主键")
    private String id;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("姓名")
    @ApiModelProperty("姓名")
    private String name;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("项目名称")
    @ApiModelProperty("项目名称")
    private String project;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("部门")
    @ApiModelProperty("部门")
    private String dept;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("月份")
    @ApiModelProperty("月份")
    private int month;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("金额")
    @ApiModelProperty("金额")
    private float amount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("月金额")
    @ApiModelProperty("月金额")
    private float monthAmount;

    @ContentStyle(dataFormat = 49)
    @ExcelProperty("年金额")
    @ApiModelProperty("年金额")
    private float yearAmount;
}
