package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 人脸信息审核表单出参
* @Author dzx
* @Date: 2024-05-10
* @Version 1.0
*/
@Data
public class TeacherFaceProcessVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 用户id
    */
    @ApiModelProperty("用户id")
    private Long userId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String name;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long depId;
    /**
    * 
    */
    @ApiModelProperty("")
    private String depCn;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 人脸照片
    */
    @ApiModelProperty("人脸照片")
    private Long facePhoto;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门主任id
    */
    @ApiModelProperty("部门主任id")
    private Long depUserId;



}
