package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 寝室床位
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class AddRoomBedDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 床位号
    */
    @ApiModelProperty("床位号")
    private Integer bedNumber;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
    * 是否入住（1:是 0:否）
    */
    @ApiModelProperty("是否入住（1:是 0:否）")
    private Integer isCheckIn;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
