package com.xjrsoft.module.room.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室床位分页查询入参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class AdjustClassPageDto extends PageInput {

    @ApiModelProperty("年级id")
    public Long gradeId;

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("入住性别")
    public String gender;

    @ApiModelProperty("是否安排寝室（1：是，0：否）")
    public Integer isDistribute;

    @ApiModelProperty("姓名")
    public String studentName;

    @ApiModelProperty("缴费状态（1：已缴费，0：未交费）")
    public Integer payStatus;

}
