package com.xjrsoft.module.room.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 寝室情况汇报分页查询入参
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfRoomReportPageDto extends PageInput {
    /**
     * 申请人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;

    /**
     * 班主任用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
     * 寝室+床位名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室+床位名称")
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;


}
