package com.xjrsoft.module.room.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.room.dto.AddRoomDto;
import com.xjrsoft.module.room.dto.RoomPageDto;
import com.xjrsoft.module.room.entity.Room;
import com.xjrsoft.module.room.vo.RoomExcelVo;
import com.xjrsoft.module.room.vo.RoomPageVo;

import java.util.List;

/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/

public interface IRoomService extends MPJBaseService<Room> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<RoomPageVo> getPage(Page<RoomPageVo> page, RoomPageDto dto);

    List<RoomExcelVo> getList(RoomPageDto dto);

    /**
     * 批量添加
     */
    String saveBatch(AddRoomDto dto);


    /**
     * 批量添加
     */
    String deleteReachBed(Long id);
}
