package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
* @title: 寝室床位分页列表出参
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class NoBedStudentPageVo {

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生id")
    private String userId;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("入住性别")
    private String genderCn;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("班级名称")
    private String className;

    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("学生名称")
    private String studentName;

}
