package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 宿管任命分页列表出参
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class RoomTeacherAppointPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 楼栋名称
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("楼栋名称")
    private String buildName;
    /**
    * 楼层
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室
    */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("寝室")
    private String roomName;

    /**
     * 寝室
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("入住性别")
    private String genderCn;

    /**
     * 寝室
     */
    @ContentStyle(dataFormat = 49)
    @ApiModelProperty("宿管员")
    private String appointUsers;

}
