package com.xjrsoft.module.room.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 宿管任命表单出参
* @Author dzx
* @Date: 2023-12-29
* @Version 1.0
*/
@Data
public class RoomTeacherAppointVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
