package com.xjrsoft.module.schedule.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;


/**
* @title: 寝室
* @Author dzx
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class CourseTablePreCheckDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("调课类型（1：调课 2：顶课）")
    private Integer preCheckType;

    @ApiModelProperty("需要调课的课程id")
    private List<Long> courseIds;

    @ApiModelProperty("被对调的课程id(调课时使用)")
    private List<Long> swapCourseIds;

    @ApiModelProperty("被对调的日期(调课时使用)")
    private LocalDateTime swapDate;


    @ApiModelProperty("顶课教师id(顶课时使用)")
    private Long subTeacherId;


}
