package com.xjrsoft.module.schedule.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 调课顶课申请
 * </p>
 *
 * @author dzx
 * @date 2024-02-03
 */
@Data
@TableName("wf_course_adjust")
@ApiModel(value = "WfCourseAdjust对象", description = "调课顶课申请")
public class WfCourseAdjust implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键编号")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("序号")
    private Integer sortCode;

    @ApiModelProperty("申请人id")
    private Long userId;

    @ApiModelProperty("专业部id")
    private Long deptId;

    @ApiModelProperty("调课类型")
    private String adjustType;

    @ApiModelProperty("原因")
    private String reason;

    @ApiModelProperty("调整日期")
    private Date adjustDate;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("课程id(base_course_subject)")
    private String courseId;

    @ApiModelProperty("对调日期")
    private String exchangeDate;

    @ApiModelProperty("替班教师id(xjr_user)")
    private Long exchangeTeacherId;

    @ApiModelProperty("对调课程id(base_course_subject)")
    private String exchangeCourseId;

    @ApiModelProperty("状态（0:未通过 1:已通过）")
    private Integer status;


}
