package com.xjrsoft.module.schedule.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * @author dzx
 * @date 2024/1/29
 */
@Data
public class CourseDetailVo {

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("教师名称（课表类型为teacher时使用）")
    private String teacherName;

    @ApiModelProperty("班级名称（课表类型为teacher时使用）")
    private String className;

    @ApiModelProperty("教室名称（课表类型为class时使用）")
    private String classroomName;

    @ApiModelProperty("星期几(1-7)")
    private Integer weeks;

    @ApiModelProperty("时段（1=上午 2=下午 3=晚上）")
    private String timePeriod;

    @ApiModelProperty("节次")
    private String timeNumber;

    @ApiModelProperty("上课日期")
    private LocalDate scheduleDate;

    @ApiModelProperty("调课顶课(顶课:course_substitute 调课:course_exchange)")
    private String adjustType;
}
