package com.xjrsoft.module.schedule.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 周课表导出
 */
@Data
public class ScheduleWeekVo {
    @ApiModelProperty("周次（数字）")
    private Integer week;

    @ApiModelProperty("周次-中文（第几周）")
    private String weekCn;

    @ApiModelProperty("开始时间")
    private LocalDate startDate;

    @ApiModelProperty("结束时间")
    private LocalDate endDate;
}
