package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 毕业学校招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Data
public class AddEnrollmentPlanGraduateSchoolDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 专业方向招生计划详情id(enrollment_plan_major_set)
    */
    @ApiModelProperty("专业方向招生计划详情id(enrollment_plan_major_set)")
    private Long enrollmentPlanMajorSetId;
    /**
    * 毕业学校id(base_graduate_school)
    */
    @ApiModelProperty("毕业学校id(base_graduate_school)")
    private List<Long> baseGraduateSchoolId;
    /**
    * 毕业学校计划招生人数
    */
    @ApiModelProperty("毕业学校计划招生人数")
    private Integer enrollmentNum;

}
