package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生考核项目分页查询入参
* @Author fanxp
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentAssessmentProjectPageDto extends PageInput {
    /**
     * 学生考核类别(base_student_assessment_item)
     */
    @ApiModelProperty("学生考核项目id")
    private String baseStudentAssessmentCategoryId;

}
