package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;


/**
* @title: 助学金申请分页查询入参
* @Author dzx
* @Date: 2023-11-24
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentBursariesApplicantPageDto extends PageInput {

    @NotNull(message = "助学金项目id不能为空！")
    @ApiModelProperty("助学金项目id")
    private Long projectId;
}
