package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生职务设置分页查询入参
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentInfoPageDto extends PageInput {
    /**
     * 年级id
     */
    @ApiModelProperty("年级id")
    private Long gradeId;

    /**
     * 专业方向id
     */
    @ApiModelProperty("专业方向id")
    private Long majorSetId;

    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;

    /**
     * 关键字
     */
    @ApiModelProperty("关键字")
    private String keyWord;

    /**
     * 班主任id
     */
    @ApiModelProperty("班主任id")
    private Long teacherId;

    @ApiModelProperty("最新收费区间")
    private String beltcode;
}
