package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.BaseGraduateSchoolOfEnrollmentPlanListDto;
import com.xjrsoft.module.student.dto.BaseMajorSetOfEnrollmentPlanPageDto;
import com.xjrsoft.module.student.entity.EnrollmentPlanMajorSet;
import com.xjrsoft.module.student.vo.BaseGraduateSchoolOfEnrollmentPlanListVo;
import com.xjrsoft.module.student.vo.BaseMajorSetOfEnrollmentPlanPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 专业方向招生计划详情
* @Author phoenix
* @Date: 2024-06-13
* @Version 1.0
*/
@Mapper
public interface EnrollmentPlanMajorSetMapper extends MPJBaseMapper<EnrollmentPlanMajorSet> {
    IPage<BaseMajorSetOfEnrollmentPlanPageVo> baseMajorSetOfEnrollmentPlan(IPage<BaseMajorSetOfEnrollmentPlanPageDto> page, BaseMajorSetOfEnrollmentPlanPageDto dto);


    List<BaseGraduateSchoolOfEnrollmentPlanListVo> baseGraduateSchoolOfEnrollmentPlan(@Param("dto") BaseGraduateSchoolOfEnrollmentPlanListDto dto);
}
