package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.QuotaFormulaRulePageDto;
import com.xjrsoft.module.student.entity.QuotaFormulaRule;
import com.xjrsoft.module.student.vo.QuotaFormulaRulePageVo;
import org.apache.ibatis.annotations.Mapper;

/**
* @title: 指标公式规则管理
* @Author szs
* @Date: 2024-01-29
* @Version 1.0
*/
@Mapper
public interface QuotaFormulaRuleMapper extends MPJBaseMapper<QuotaFormulaRule> {
    Page<QuotaFormulaRulePageVo> getPage(Page<QuotaFormulaRulePageDto> page, QuotaFormulaRulePageDto dto);
    Page<QuotaFormulaRulePageVo> getQuota(Page<QuotaFormulaRulePageDto> page, QuotaFormulaRulePageDto dto);

}
