package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.BaseStudentScholarshipReleasePageDto;
import com.xjrsoft.module.student.entity.BaseStudentScholarshipCategory;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipCategoryStatisticPageVo;
import com.xjrsoft.module.student.vo.BaseStudentScholarshipReleasePageVo;

import java.util.List;

/**
* @title: 奖学金类别
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/

public interface IBaseStudentScholarshipCategoryService extends MPJBaseService<BaseStudentScholarshipCategory> {
    /**
    * 新增
    *
    * @param baseStudentScholarshipCategory
    * @return
    */
    Boolean add(BaseStudentScholarshipCategory baseStudentScholarshipCategory);

    /**
    * 更新
    *
    * @param baseStudentScholarshipCategory
    * @return
    */
    Boolean update(BaseStudentScholarshipCategory baseStudentScholarshipCategory);

    /**
    * 删除
    *
    * @param ids
    * @return
    */
    Boolean delete(List<Long> ids);

    Page<BaseStudentScholarshipCategoryStatisticPageVo> getStatisticsPage(Page<BaseStudentScholarshipReleasePageVo> page, BaseStudentScholarshipReleasePageDto dto);
}
