package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.SchoolRollStudentPageDto;
import com.xjrsoft.module.student.entity.SchoolRollStudent;
import com.xjrsoft.module.student.vo.SchoolRollStudentPageVo;
import com.xjrsoft.module.student.vo.SchoolRollStudentVo;

/**
* @title: 学籍异动学生
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/

public interface ISchoolRollStudentService extends MPJBaseService<SchoolRollStudent> {

    Boolean dataHandle(Long dataId);

    Page<SchoolRollStudentPageVo> getPage(Page<SchoolRollStudentPageVo> page, SchoolRollStudentPageDto dto);


    SchoolRollStudentVo getInfo(Long id);
}
