package com.xjrsoft.module.student.service.impl;

import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.student.entity.BaseStudentDevelopment;
import com.xjrsoft.module.student.mapper.BaseStudentDevelopmentMapper;
import com.xjrsoft.module.student.service.IBaseStudentDevelopmentService;
import com.xjrsoft.module.student.vo.BaseStudentDevelopmentVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 学生去向登记
* @Author dzx
* @Date: 2024-08-04
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class BaseStudentDevelopmentServiceImpl extends MPJBaseServiceImpl<BaseStudentDevelopmentMapper, BaseStudentDevelopment> implements IBaseStudentDevelopmentService {
    @Override
    public BaseStudentDevelopmentVo getInfoById(Long id) {
        return this.baseMapper.getInfoById(id);
    }
}
