package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author dzx
 * @date 2024/3/21
 */
@Data
public class BaseClassTreeVo implements ITreeNode<BaseClassTreeVo, Long>, Serializable {
    @ApiModelProperty("id")
    private Long id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("disabled")
    private Long parentId;


    @ApiModelProperty("children")
    private List<BaseClassTreeVo> children;

    @ApiModelProperty("状态（0:不欠费 1:欠费）")
    private Integer status;

}
