package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author dzx
 * @date 2024年6月27日
 */
@Data
public class BaseNewStudentTreeVo implements ITreeNode<BaseNewStudentTreeVo, Long>, Serializable {

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("name")
    private String name;

    @ApiModelProperty("disabled")
    private Long parentId;

    @ApiModelProperty("children")
    private List<BaseNewStudentTreeVo> children;

    @ApiModelProperty("类型（1：年级，2：春秋季）")
    private Integer treeType;

}
