package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生班级巡查考核-关联班级表单出参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
public class BaseStudentBehaviorClassRelationVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 班级编号id
    */
    @ApiModelProperty("班级编号id")
    private Long classId;
    /**
    * 学生操行分记录管理id
    */
    @ApiModelProperty("学生操行分记录管理id")
    private Long baseStudentBehaviorManageId;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 班主任姓名
    */
    @ApiModelProperty("班主任姓名")
    private String teacherName;


    @ApiModelProperty("班级名称")
    private String className;


}
