package com.xjrsoft.module.student.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生职务设置分页列表出参
* @Author dzx
* @Date: 2023-11-13
* @Version 1.0
*/
@Data
public class BaseStudentPostPageVo {

    /**
    * 主键编号
    */
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 职务
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务")
    @ApiModelProperty("职务")
    private String post;
    /**
    * 职务级别
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务级别")
    @ApiModelProperty("职务级别")
    private String level;

    /**
     * 职务级别
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职务级别中文")
    @ApiModelProperty("职务级别中文")
    private String levelCn;

    /**
    * 是否允许德育检查(1:是 0:否)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否允许德育检查(1:是 0:否)")
    @ApiModelProperty("是否允许德育检查(1:是 0:否)")
    private Integer isAllowedCheck;
    /**
    * 职责描述
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("职责描述")
    @ApiModelProperty("职责描述")
    private String explains;
    /**
    * 是否启用(1:是 0:否)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否启用(1:是 0:否)")
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;

}
