package com.xjrsoft.module.student.vo;

import com.xjrsoft.module.student.entity.BasePunishmentStudentRelation;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 学生处分信息管理表单出参
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
public class BaseStudentPunishmentInfoDetailVo extends BaseStudentPunishmentInfoPageVo{

    /**
     * 该处分信息下的学生集合
     */
    @ApiModelProperty("学生集合")
    private List<BasePunishmentStudentRelation> studentList;


    /**
     * 文件id
     */
    @ApiModelProperty("文件id")
    private Long fileId;

    /**
     * 该处分信息下的文件集合
     */
    @ApiModelProperty("文件集合")
    private List<File> fileList;
}
