package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 干部部门表单出参
* @Author szs
* @Date: 2023-12-20
* @Version 1.0
*/
@Data
public class CadreDeptVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 机构名称
    */
    @ApiModelProperty("机构名称")
    private String name;
    /**
    * 部门上级编号
    */
    @ApiModelProperty("部门上级编号")
    private Long parentId;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
