package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 班级荣誉分页列表学期班级出参
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
public class ClassHonorsSemesterClassVo {

    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 学期ID中文(base_semester)
     */
    @ApiModelProperty("学期ID中文(base_semester)")
    private String baseSemesterIdCN;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
     * 班级id中文
     */
    @ApiModelProperty("班级id中文")
    private String classIdCN;
}
