package com.xjrsoft.module.student.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author szs
 * @date 2024/3/25
 */
@Data
public class GradeEnrolltypeTreeVo implements ITreeNode<GradeEnrolltypeTreeVo, String>, Serializable {
    @ApiModelProperty("id")
    private String id;


    @ApiModelProperty("name")
    private String name;


    @ApiModelProperty("parentId")
    private String parentId;


    @ApiModelProperty("children")
    private List<GradeEnrolltypeTreeVo> children;

}
