package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 分页列表出参
* @Author dzx
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
public class PbVXsxxsfytbPageVo {

    /**
    * 学生主键
    */
    @ApiModelProperty("学生主键")
    private String pkfeeobj;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String Studentcode;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String feeobjname;
    /**
    * 所属班级名称
    */
    @ApiModelProperty("所属班级名称")
    private String classname;
    /**
    * 所属班级编码
    */
    @ApiModelProperty("所属班级编码")
    private String classcode;
    /**
    * 所属专业名称
    */
    @ApiModelProperty("所属专业名称")
    private String specname;
    /**
    * 所属专业编码
    */
    @ApiModelProperty("所属专业编码")
    private String speccode;
    /**
    * 所属院系名称
    */
    @ApiModelProperty("所属院系名称")
    private String deptname;
    /**
    * 所属院系编码
    */
    @ApiModelProperty("所属院系编码")
    private String deptcode;
    /**
    * 入校年度
    */
    @ApiModelProperty("入校年度")
    private String enteryear;
    /**
    * 离校年度
    */
    @ApiModelProperty("离校年度")
    private String leaveyear;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String personalid;
    /**
    * 招生老师
    */
    @ApiModelProperty("招生老师")
    private String recruiters;
    /**
    * 录取号
    */
    @ApiModelProperty("录取号")
    private String admissions;
    /**
    * 地址
    */
    @ApiModelProperty("地址")
    private String address;
    /**
    * 电话
    */
    @ApiModelProperty("电话")
    private String telephone;
    /**
    * 民族
    */
    @ApiModelProperty("民族")
    private String nationality;
    /**
    * 政治面貌
    */
    @ApiModelProperty("政治面貌")
    private String property;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remarks;
    /**
    * 毕业学校
    */
    @ApiModelProperty("毕业学校")
    private String graduations;
    /**
    * 学生状态
    */
    @ApiModelProperty("学生状态")
    private String state;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String sex;
    /**
    * 收费标准金额
    */
    @ApiModelProperty("收费标准金额")
    private BigDecimal standardar;
    /**
    * 应缴金额
    */
    @ApiModelProperty("应缴金额 ")
    private BigDecimal factar;
    /**
    * 调整（减免）金额
    */
    @ApiModelProperty("调整（减免）金额")
    private BigDecimal adjustmny;
    /**
    * 减免金额
    */
    @ApiModelProperty("减免金额")
    private BigDecimal jmje;
    /**
    * 欠费金额
    */
    @ApiModelProperty("欠费金额")
    private BigDecimal arrearagemny;
    /**
    * 实缴金额
    */
    @ApiModelProperty("实缴金额")
    private BigDecimal factrecarmny;
    /**
    * 退款金额
    */
    @ApiModelProperty("退款金额")
    private BigDecimal refundmny;
    /**
    * 欠费金额
    */
    @ApiModelProperty("欠费金额")
    private BigDecimal qfje;
    /**
    * 缴费状态
    */
    @ApiModelProperty("缴费状态")
    private String jfzt;
    /**
    * 收费项目编码
    */
    @ApiModelProperty("收费项目编码")
    private String feeitemcode;
    /**
    * 收费项目名称
    */
    @ApiModelProperty("收费项目名称")
    private String feeitemname;
    /**
    * 收费区间编码
    */
    @ApiModelProperty("收费区间编码")
    private String beltcode;
    /**
    * 收费区间名称
    */
    @ApiModelProperty("收费区间名称")
    private String beltname;
    /**
     * 学期Id
     */
    @ApiModelProperty("学期Id")
    private String baseSemester;
    /**
     * 学期Id
     */
    @ApiModelProperty("学期Id")
    private String baseSemesterCn;
    /**
    * 学制
    */
    @ApiModelProperty("学制")
    private String ratetypename;
    /**
     * 学生Id
     */
    @ApiModelProperty("学生Id")
    private String userId;
    /**
    * 学生来源
    */
    @ApiModelProperty("学生来源")
    private String resourcename;
    /**
    * 住宿类型
    */
    @ApiModelProperty("住宿类型")
    private String quartername;
    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String pksfxxytb;

    @ApiModelProperty("班主任名称")
    private String teacherName;

}
