package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学籍异动类别表单出参
* @Author phoenix
* @Date: 2023-11-29
* @Version 1.0
*/
@Data
public class SchoolRollCategoryVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 学籍异动类型(xjr_dictionary_item[school_change_type])
    */
    @ApiModelProperty("学籍异动类型(xjr_dictionary_item[school_change_type])")
    private String scholarshipSource;
    /**
     * 学籍异动类型中文名(xjr_dictionary_item[school_change_type])
     */
    @ApiModelProperty("学籍异动类型中文名(xjr_dictionary_item[school_change_type])")
    private String scholarshipSourceCN;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
