package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class StudentInfoVo {

    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("年级ID")
    private Long gradeId;

    @ApiModelProperty("年级名称")
    private String gradeName;

    @ApiModelProperty("班级ID")
    private Long classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("学生名称")
    private String studentName;

    @ApiModelProperty("性别 1=男 2=女")
    private Integer gender;

    @ApiModelProperty("招生类型名称")
    private String enrollmentType;

    @ApiModelProperty("专业ID")
    private Long majorId;

    @ApiModelProperty("专业名称")
    private String majorName;
}
