package com.xjrsoft.module.student.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

@Data
public class StudentLeavePageVo {
    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;

    @ApiModelProperty("学生id")
    private Long studentUserId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("开始时间")
    private LocalDate startDate;

    @ApiModelProperty("开始时间")
    private LocalDate endDate;

    @ApiModelProperty("请假原因")
    private String reason;

    @ApiModelProperty("班主任")
    private Long teacherId;

    @ApiModelProperty("附件id")
    private Long folderId;

    /**
     * 状态（1:结束 0:未结束）
     */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    @ApiModelProperty("时长（天）")
    private Double dayDuration;

    @ApiModelProperty("请假类型")
    private String leaveType;

    @ApiModelProperty("海康接口返回信息")
    private String hikvisionResult;
}
