package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;


/**
* @title: 学生报到记录表表单出参
* @Author dzx
* @Date: 2024-08-28
* @Version 1.0
*/
@Data
public class StudentReportRecordStatisticsListVo {


    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("身份证号")
    private String credentialNumber;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("毕业学校")
    private String graduatedUniversity;

    @ApiModelProperty("就读方式")
    private String stduyStatus;

    @ApiModelProperty("报到时间")
    private LocalDateTime reportTime;

    @ApiModelProperty("所属班级")
    private String className;

    @ApiModelProperty("班级类型")
    private String classType;

    @ApiModelProperty("专业方向")
    private String majorName;

}
