package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
* @title: 专业分类表表单出参
* @Author szs
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class WhitelistInfoVo {

    @ApiModelProperty("是否存在于白名单中(1:是 0:否)")
    public Integer whitelistStatus;

    @ApiModelProperty("截止日期")
    private LocalDate endTime;

    @ApiModelProperty("是否临时性的(1:是 0:否)")
    private Integer isTemporary;
}
