package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Author: tzx
 * @Date: 2022/3/30 14:57
 */
@Data
public class AddDictionaryDetailDto {


    @ApiModelProperty("父级编号")
    private Long pId;

    @NotNull(message = "名称不能为空！")
    @Length(max = 20,message = "名称不能大于20个字符！")
    @ApiModelProperty("名字")
    private String name;

    @NotNull(message = "编码不能为空！")
    @Length(max = 20,message = "编码不能大于20个字符！")
    @ApiModelProperty("编码")
    private String code;

    @NotNull(message = "字典项id不能为空！")
    @ApiModelProperty("字典项id")
    private Long itemId;

//    @NotNull(message = "数据值不能为空！")
    @Length(max = 50,message = "值不能大于50个字符！")
    @ApiModelProperty("值")
    private String value;

    @ApiModelProperty("排序号")
    private Integer sortCode;

    @ApiModelProperty("备注")
    private String remark;


}
