package com.xjrsoft.module.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 系统提示信息设置
* @Author dzx
* @Date: 2024-08-12
* @Version 1.0
*/
@Data
public class AddXjrTipsMessageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 消息分组
    */
    @ApiModelProperty("消息分组")
    private String groupName;
    /**
    * 唯一code
    */
    @ApiModelProperty("唯一code")
    private String code;
    /**
    * 消息内容
    */
    @ApiModelProperty("消息内容")
    private String content;

    @ApiModelProperty("提示名称")
    private String name;
}
