package com.xjrsoft.module.system.service;

import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.system.entity.File;
import com.xjrsoft.module.system.vo.ImageVo;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 文件关联关系表 服务类
 * </p>
 *
 * @author tzx
 * @since 2022-03-08
 */
public interface IFileService extends MPJBaseService<File> {

    boolean deleteFile(String encode);

    byte[] downloadFileByZip(Long folderId);

    byte[] downloadFileByZip(List<Long> folderIds);

    ImageVo addRubAndHand(MultipartFile file);
}
