package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 系统消息通知表表单出参
* @Author brealinxx
* @Date: 2024-04-17
* @Version 1.0
*/
@Data
public class SystemUpdateMessageNoticeVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 系统消息（system_update_message）
    */
    @ApiModelProperty("系统消息（system_update_message）")
    private Long systemUpdateMessageId;
    /**
    * 用户id（xjr_user）
    */
    @ApiModelProperty("用户id（xjr_user）")
    private String userId;
    /**
    * 状态（0：未读，1：已读）
    */
    @ApiModelProperty("状态（0：未读，1：已读）")
    private Integer status;



}
