package com.xjrsoft.module.system.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
* @title: 功能分类设置表单出参
* @Author dzx
* @Date: 2024-08-09
* @Version 1.0
*/
@Data
public class XjrMenuGroupSetVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 功能分类名称
    */
    @ApiModelProperty("功能分类名称")
    private String name;
    /**
    * 分组代码(xjr_dictionary_item[xjr_menu_group])
    */
    @ApiModelProperty("分组代码(xjr_dictionary_item[xjr_menu_group])")
    private String code;
    /**
    * 使用范围(1:全部学生 2:白名单学生)
    */
    @ApiModelProperty("使用范围(1:全部学生 2:白名单学生)")
    private Integer useRange;


    /**
    * xjrMenuGroup
    */
    @ApiModelProperty("xjrMenuGroup子表")
    private List<XjrMenuGroupVo> xjrMenuGroupList;

}
