package com.xjrsoft.module.teacher.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 教师奖项分页查询入参
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TeacherAwardStatisticsPageDto extends PageInput {

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "部门id")
    private Long deptId;
}
