package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
* @title: 考勤-人员
* @Author szs
* @Date: 2023-12-18
* @Version 1.0
*/
@Data
@TableName("attendance_personnel")
@ApiModel(value = "attendance_personnel", description = "考勤-人员")
public class AttendancePersonnel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 用户编号
    */
    @ApiModelProperty("用户编号")
    private Long userId;


}