package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教师奖项分页列表出参
* @Author dzx
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class TeacherAwardItemPageVo {

    /**
    * 
    */
    @ApiModelProperty("")
    private String id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 奖项名称
    */
    @ApiModelProperty("奖项名称")
    private String name;
    /**
    * 是否论文（1：是 0：否）
    */
    @ApiModelProperty("是否论文（1：是 0：否）")
    private Integer isThesis;
    /**
    * 是否频分标准（1：是 0：否）
    */
    @ApiModelProperty("是否频分标准（1：是 0：否）")
    private Integer isStandard;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private BigDecimal score;
    /**
    * 父级id
    */
    @ApiModelProperty("父级id")
    private Long parentId;

}
