package com.xjrsoft.module.teacher.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班主任事项请假分页列表出参
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/
@Data
public class WfHeadTeacherLeavePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人姓名")
    @ApiModelProperty("申请人姓名")
    private String applicantUserIdCN;
    /**
    * 请假原因(xjr_dictionary_item[leave_reason])
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("请假原因(xjr_dictionary_item[leave_reason])")
    @ApiModelProperty("请假原因(xjr_dictionary_item[leave_reason])")
    private String leaveReason;
    /**
    * 开始时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("开始时间")
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("结束时间")
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 替换教师
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("替换教师")
    @ApiModelProperty("替换教师")
    private Long substituteUserId;
    /**
     * 替换教师姓名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("替换教师姓名")
    @ApiModelProperty("替换教师姓名")
    private String substituteUserIdCN;
}
