package com.xjrsoft.module.teacher.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 班主任事项请假表单出参
* @Author szs
* @Date: 2023-12-19
* @Version 1.0
*/
@Data
public class WfHeadTeacherLeaveVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 请假原因(xjr_dictionary_item[leave_reason])
    */
    @ApiModelProperty("请假原因(xjr_dictionary_item[leave_reason])")
    private String leaveReason;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 是否有替班教师（1:是 0:否）
    */
    @ApiModelProperty("是否有替班教师（1:是 0:否）")
    private Integer isSubstitute;
    /**
    * 替换教师
    */
    @ApiModelProperty("替换教师")
    private Long substituteUserId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;



}
