package com.xjrsoft.module.textbook.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookWarehouseRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookWarehouseRecord;
import com.xjrsoft.module.textbook.vo.TextbookWarehouseRecordPageVo;

import java.util.List;

/**
* @title: 教材入库
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/

public interface ITextbookWarehouseRecordService extends MPJBaseService<TextbookWarehouseRecord> {

    Page<TextbookWarehouseRecordPageVo> getPage(Page<TextbookWarehouseRecordPageDto> page, TextbookWarehouseRecordPageDto dto);

    List<TextbookWarehouseRecordPageVo> getList(TextbookWarehouseRecordExportDto dto);

    List<TextbookWarehouseRecordPageVo> getList();
}
