package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 教材管理表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class BaseclassPageVo {
    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("所属年级(base_grade)")
    private Long gradeId;

    @ApiModelProperty("所属年级(base_grade)")
    private String gradeIdCn;

    @ApiModelProperty("班主任(xjr_user)")
    private Long teacherId;

    @ApiModelProperty("班主任(xjr_user)")
    private String teacherIdCn;

    @ApiModelProperty("班级人数")
    private Integer totalStudent;
}
