package com.xjrsoft.module.textbook.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class GradeClassTreeVo implements ITreeNode<GradeClassTreeVo,String>, Serializable {

    private static final long serialVersionUID = 1L;

    private String id;

    @ApiModelProperty("")
    private String name;

    @ApiModelProperty("")
    private String parentId;

    private List<GradeClassTreeVo> children;
}

