package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 学生教材认领记录表单出参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class TeacherCheckByclassVo {

    /**
    * 教材主键编号
    */
    @ApiModelProperty("教材主键编号")
    private Long textbookId;
    /**
     * 教材名称
     */
    @ApiModelProperty("教材名称")
    private String bookName;
    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    private String baseSemesterIdCN;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 班级人数
    */
    @ApiModelProperty("班级人数")
    private Integer classStudentNum;
    /**
     * 实际领取教材数量
     */
    @ApiModelProperty("实际领取教材数量")
    private Integer actualReceivedNum;
    /**
     * 已经确认领取人数
     */
    @ApiModelProperty("已经确认领取人数")
    private Long actualClaimNum;
}
