package com.xjrsoft.module.workflow.model;

import lombok.Data;

import java.util.List;

/**
 * 权限设置
 * @Author: tzx
 * @Date: 2022/9/16 15:19
 */
@Data
public class AuthConfig {
    /**
     * 权限配置  0  所有人  1  指定人员
     */
    private Integer authType = 0;

    /**
     * 权限成员配置
     */
    private List<MemberConfig> authMemberConfigs;
}
