package com.xjrsoft.module.xycxedu.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.xycxedu.dto.ExamStatisticsPageDto;
import com.xjrsoft.module.xycxedu.dto.ExamSubjectScoreDto;
import com.xjrsoft.module.xycxedu.entity.ExamSubjectScore;
import com.xjrsoft.module.xycxedu.mapper.ExamSubjectScoreMappper;
import com.xjrsoft.module.xycxedu.service.IExamSubjectScoreService;
import com.xjrsoft.module.xycxedu.vo.ExamStatisticsPageVo;
import com.xjrsoft.module.xycxedu.vo.ExamSubjectScorePageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * @title: 晓羊策学考试计划表
 * @Author dzx
 * @Date: 2024年7月18日
 * @Version 1.0
*/
@Service
@AllArgsConstructor
public class ExamSubjectScoreServiceImpl extends MPJBaseServiceImpl<ExamSubjectScoreMappper, ExamSubjectScore> implements IExamSubjectScoreService {
    @Override
    public Long getUserIdByIdNumber(String idNumber) {
        return this.baseMapper.getUserIdByIdNumber(idNumber);
    }

    @Override
    public Page<ExamSubjectScorePageVo> getPage(Page<ExamSubjectScorePageVo> page, ExamSubjectScoreDto dto) {
        return this.baseMapper.getPage(page, dto);
    }

    @Override
    public Page<ExamStatisticsPageVo> getStatisticsPage(Page<ExamStatisticsPageVo> page, ExamStatisticsPageDto dto) {
        return this.baseMapper.getStatisticsPage(page, dto);
    }
}
